<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="html" indent="yes"/>
	<xsl:variable name="yi"/>
	<xsl:variable name="ni"/>
	<xsl:template match="/">
		<HTML>
			<HEAD>
				<style>
					.h1b {font-family: Verdana; font-weight: bold; color: black; font-size: 24px;}
					.h2b {font-family: arial; font-weight: bold; color:indigo; font-size: 20px;}
					.h3b {font-family: arial; font-weight: bold; color: black; font-size: 18px;}
					.h4b {font-family: arial; font-weight: bold; color: black; font-size: 16px;}
					.h5b {font-family: arial; font-weight: bold; color: black; font-size: 14px;}
					.h6b {font-family: arial; font-weight: bold; color: black; font-size: 12px;}
					.h7b {font-family: arial; font-weight: bold; color: black; font-size: 11px;}
					.h8b {font-family: arial; font-weight: bold; color: black; font-size: 10px;}
					.h1 {font-family: Verdana; color: black; font-size: 24px;}
					.h2 {font-family: arial; color:indigo; font-size: 20px;}
					.h3 {font-family: arial; color: black; font-size: 18px;}
					.h4 {font-family: arial; color: black; font-size: 16px;}
					.h5 {font-family: arial; color: black; font-size: 14px;}
					.h6 {font-family: arial; color: black; font-size: 12px;}
					.h7 {font-family: arial; color: black; font-size: 11px;}
					.h8 {font-family: arial; color: black; font-size: 10px;}
					.h71 {font-family: arial; color: blue; font-size: 11px; text-align: left; vertical-align: top;}
					.tb {border-left: solid 1px black; border-top: solid 1px black; border-bottom: outset 2px black; border-right: outset 2px black;}
					.ch {background-color: buttonface; font-family: arial; font-weight: bold; color: black;  font-size: 11px; border-right: solid 1px black; border-bottom: solid 1px black;}
					.cd {background-color: white; font-family: arial; color: black;  font-size: 11px; border-right: solid 1px black; border-bottom: solid 1px black; vertical-align: top;}
					.tf {font-family: arial; color: black;  font-size: 11px;}
					.cblk { width: 500px; height: 400px; position: absolute; left: 0px; top: 0px; display: none; opacity: 1.0; filter: alpha(opacity=100); background-color : #E6E6FA; border-left: solid 1px black; border-top: solid 1px black; border-bottom: outset 2px black; border-right: outset 2px black; }
					.btns { border: solid 1px; font-family: Arial, Helvetica, sans-serif; font-size: 11px; font-style: normal; }
					.pohdr {background-color: navy; color: white; font-family: arial; font-weight: bold; font-size: 12px; border-bottom: solid 1px navy; }
				</style>
				<script type="text/javascript" language="JavaScript">
					var objPopup = null;
					function ShowDetails(blk, nme)
					{
					try
					{
					objPopup = document.getElementsByName("divPopup")[0];
					objPopupContent = document.getElementsByName("divPopupContent")[0];
					objPopupHdr = document.getElementsByName("popupHdr")[0];
					contentBlock = document.getElementsByName(blk)[0];
					objPopupContent.innerHTML = contentBlock.innerHTML;
					objPopupHdr.innerHTML = nme;
					objPopup.style.display = "block";
					CenterIt(objPopup);
					}
					catch (e)
					{
					alert("Unable to display the details.");
					}
					}

					function btnClose_OnClick()
					{
					objPopup.style.display = "none";
					}

					function CenterIt(obj)
					{
					try
					{
					width = document.body.clientWidth;
					height = document.body.clientHeight;
					objWidth = obj.clientWidth;
					objHeight = obj.clientHeight;
					x = Math.round(width/2 - objWidth/2);
					y = Math.round(height/2 - objHeight/2) + document.body.scrollTop;
					if (x &lt; 0) { x = 150; }
					if (y &lt; 0) { y = 150; }
					obj.style.left = x;
					obj.style.top = y;
					}
					catch (e)
					{

					}
					}
				</script>
			</HEAD>
			<BODY>
				<!-- General Information about report -->
				<xsl:apply-templates select="ROOT/GENERAL"/>
				<!-- Table of contents -->
				<xsl:apply-templates select="ROOT/TOC"/>
				<!--- Database Information -->
				<p></p>
				<xsl:apply-templates select="ROOT/DatabaseInformation"/>
				<!--- Schemas -->
				<xsl:apply-templates select="ROOT/Schemas"/>
				<!--- Tables -->
				<xsl:apply-templates select="ROOT/Tables"/>
				<!--- Stored Procedures -->
				<xsl:apply-templates select="ROOT/StoredProcedures"/>
				<!--- Views -->
				<xsl:apply-templates select="ROOT/Views"/>
				<!--- User Defined Functions -->
				<xsl:apply-templates select="ROOT/UserDefinedFunctions"/>
				<!--- User Defined Data Types -->
				<xsl:apply-templates select="ROOT/UserDefinedDataTypes"/>
				<!--- Defaults -->
				<xsl:apply-templates select="ROOT/Defaults"/>
				<!--- Rules -->
				<xsl:apply-templates select="ROOT/Rules"/>
				<!--- Users -->
				<xsl:apply-templates select="ROOT/Users"/>
				<!--- Roles -->
				<xsl:apply-templates select="ROOT/Roles"/>
				<!--- Synonyms -->
				<xsl:apply-templates select="ROOT/Synonyms"/>
				<!--- Database Triggers -->
				<xsl:apply-templates select="ROOT/DatabaseTriggers"/>
				<!--- Assemblies -->
				<xsl:apply-templates select="ROOT/Assemblies"/>


				<div id="divPopup" name="divPopup" class="cblk">
					<table width="100%" cellpadding="2" cellspacing="0">
						<tr>
							<td style="height: 20px;" class="pohdr">
								<span id="popupHdr" name="popupHdr"></span>
							</td>
						</tr>
						<tr>
							<td>
								<div id="divPopupContent" name="divPopupContent" style="width: 100%; height=360px; overflow-y: scroll;">
								</div>
							</td>
						</tr>
						<tr>
							<td style="height: 20px; text-align: center;">
								<input class="btns" type="button" value="Close" onClick="btnClose_OnClick()"/>
							</td>
						</tr>
					</table>
				</div>
			</BODY>
		</HTML>
	</xsl:template>

	<!-- General Information -->
	<xsl:template match="ROOT/GENERAL">
		<table width="100%" cellpadding="2" cellspacing="5">
			<tr>
				<td colspan="2" class="h1" align="center">
					<xsl:value-of select="@TITLE"/>
					<br/>
					<br/>
					<br/>
				</td>
			</tr>
			<xsl:if test="@AUTHOR != ''">
				<tr>
					<td colspan="2" class="h2" align="center">
						Report By: <xsl:value-of select="@AUTHOR"/>
					</td>
				</tr>
			</xsl:if>
			<xsl:if test="@DATETIME != ''">
				<tr>
					<td colspan="2" class="h2" align="center">
						Date: <xsl:value-of select="@DATETIME"/>
					</td>
				</tr>
			</xsl:if>
			<xsl:if test="@COPYRIGHT != ''">
				<tr>
					<td colspan="2" class="h4" align="center">
						<xsl:value-of select="@COPYRIGHT"/>
					</td>
				</tr>
			</xsl:if>
			<xsl:if test="@COMMENTS != ''">
				<tr>
					<td colspan="2" class="h5" align="center">
						<xsl:value-of select="@COMMENTS"/>
					</td>
				</tr>
			</xsl:if>
		</table>
		<br/>
		<br/>
		<br/>
		<br/>
	</xsl:template>

	<!-- Table of contents -->
	<xsl:template match="ROOT/TOC">
		<table width="100%" cellpadding="2" cellspacing="0">
			<xsl:for-each select="TOCEG">
				<tr>
					<td colspan="2" class="h5">
						<xsl:value-of select="@Name"/> (<xsl:value-of select="@Count"/>)
					</td>
				</tr>
				<xsl:for-each select="TOCE">
					<tr>
						<td style="width: 20px;"></td>
						<td class="h6">
							<xsl:variable name="lnk" select="@ID"/>
							<xsl:variable name="nme" select="@Name"/>
							<A name="table{$lnk}">
								<A href="#{$lnk}" title="{$nme}">
									<xsl:value-of select="@Name"/>
								</A>
							</A>
						</td>
					</tr>
				</xsl:for-each>
			</xsl:for-each>
		</table>
	</xsl:template>

	<!-- Database information -->
	<xsl:template match="ROOT/DatabaseInformation">
		<xsl:variable name="yi" select="ancestor::ROOT/GENERAL/@YESIMAGE"/>
		<xsl:variable name="ni" select="ancestor::ROOT/GENERAL/@NOIMAGE"/>
		<xsl:variable name="TID" select="@ID"/>
		<a name="{$TID}"/>
		<table width="100%" cellpadding="2" cellspacing="0">
			<tr>
				<td class="h5b" width="100%">
					<xsl:value-of select="@Name"/>
				</td>
			</tr>
		</table>
		<table width="100%" cellpadding="2" cellspacing="0" class="tb">
			<xsl:for-each select="Properties">
				<xsl:for-each select="Property">
					<xsl:variable name="tpe" select="@Type"/>
					<tr>
						<td class="ch" width="20%" valign="top">
							<xsl:value-of select="@Caption"/>
						</td>
						<td class="cd">
							<xsl:choose>
								<xsl:when test="@Type = 'Boolean'">
									<xsl:choose>
										<xsl:when test="@Value = 'Y'">
											<img src="{$yi}" alt="Yes"></img>
										</xsl:when>
										<xsl:when test="@Value != 'Y'">
											<img src="{$ni}" alt="No"></img>
										</xsl:when>
									</xsl:choose>
								</xsl:when>
								<xsl:when test="@Type != 'Boolean'">
									<xsl:value-of select="@Value"/>&#160;
								</xsl:when>
							</xsl:choose>
						</td>
					</tr>
				</xsl:for-each>
			</xsl:for-each>
		</table>
		<!-- Data Files -->
		<xsl:for-each select="DataFiles">
			<xsl:if test="@Count > 0">
				<br/>
				<table width="100%" cellpadding="2" cellspacing="0">
					<tr>
						<td class="h5b" width="100%">
							<xsl:value-of select="@Name"/>
						</td>
					</tr>
				</table>
				<table width="100%" cellpadding="2" cellspacing="0" class="tb">
					<tr>
						<td class="ch">Name</td>
						<xsl:for-each select="DatabaseFile">
							<xsl:if test="position() = 1">
								<xsl:for-each select="Properties">
									<xsl:if test="position() = 1">
										<xsl:for-each select="Property">
											<xsl:if test="@IncludeInBasicDisplay='Y'">
												<td class="ch" align="center">
													<xsl:value-of select="@Caption"/>
												</td>
											</xsl:if>
										</xsl:for-each>
									</xsl:if>
								</xsl:for-each>
							</xsl:if>
						</xsl:for-each>
					</tr>
					<xsl:for-each select="DatabaseFile">
						<xsl:variable name="CID" select="@ID"/>
						<xsl:variable name="NME" select="@Name"/>
						<tr>
							<td class="cd">
								<xsl:value-of select="@Name"/>
							</td>
							<xsl:for-each select="Properties">
								<xsl:for-each select="Property">
									<xsl:if test="@IncludeInBasicDisplay='Y'">
										<xsl:if test="@Type = 'Boolean'">
											<xsl:choose>
												<xsl:when test="@Value = 'Y'">
													<td class="cd" align="center">
														<img src="{$yi}" alt="Yes"></img>
													</td>
												</xsl:when>
												<xsl:when test="@Value != 'Y'">
													<td class="cd" align="center">
														<img src="{$ni}" alt="No"></img>
													</td>
												</xsl:when>
											</xsl:choose>
										</xsl:if>
										<xsl:if test="@Type != 'Boolean'">
											<td class="cd">
												<xsl:value-of select="@Value"/>
												&#160;
											</td>
										</xsl:if>
									</xsl:if>
								</xsl:for-each>
							</xsl:for-each>
						</tr>
					</xsl:for-each>
				</table>
			</xsl:if>
		</xsl:for-each>
		<!-- Log Files -->
		<xsl:for-each select="LogFiles">
			<xsl:if test="@Count > 0">
				<br/>
				<table width="100%" cellpadding="2" cellspacing="0">
					<tr>
						<td class="h5b" width="100%">
							<xsl:value-of select="@Name"/>
						</td>
					</tr>
				</table>
				<table width="100%" cellpadding="2" cellspacing="0" class="tb">
					<tr>
						<td class="ch">Name</td>
						<xsl:for-each select="DatabaseFile">
							<xsl:if test="position() = 1">
								<xsl:for-each select="Properties">
									<xsl:if test="position() = 1">
										<xsl:for-each select="Property">
											<xsl:if test="@IncludeInBasicDisplay='Y'">
												<td class="ch" align="center">
													<xsl:value-of select="@Caption"/>
												</td>
											</xsl:if>
										</xsl:for-each>
									</xsl:if>
								</xsl:for-each>
							</xsl:if>
						</xsl:for-each>
					</tr>
					<xsl:for-each select="DatabaseFile">
						<xsl:variable name="CID" select="@ID"/>
						<xsl:variable name="NME" select="@Name"/>
						<tr>
							<td class="cd">
								<xsl:value-of select="@Name"/>
							</td>
							<xsl:for-each select="Properties">
								<xsl:for-each select="Property">
									<xsl:if test="@IncludeInBasicDisplay='Y'">
										<xsl:if test="@Type = 'Boolean'">
											<xsl:choose>
												<xsl:when test="@Value = 'Y'">
													<td class="cd" align="center">
														<img src="{$yi}" alt="Yes"></img>
													</td>
												</xsl:when>
												<xsl:when test="@Value != 'Y'">
													<td class="cd" align="center">
														<img src="{$ni}" alt="No"></img>
													</td>
												</xsl:when>
											</xsl:choose>
										</xsl:if>
										<xsl:if test="@Type != 'Boolean'">
											<td class="cd">
												<xsl:value-of select="@Value"/>
												&#160;
											</td>
										</xsl:if>
									</xsl:if>
								</xsl:for-each>
							</xsl:for-each>
						</tr>
					</xsl:for-each>
				</table>
			</xsl:if>
		</xsl:for-each>
		<!-- File Group -->
		<xsl:for-each select="FileGroups">
			<xsl:if test="@Count > 0">
				<br/>
				<table width="100%" cellpadding="2" cellspacing="0">
					<tr>
						<td class="h5b" width="100%">
							<xsl:value-of select="@Name"/>
						</td>
					</tr>
				</table>
				<table width="100%" cellpadding="2" cellspacing="0" class="tb">
					<tr>
						<td class="ch">Name</td>
						<xsl:for-each select="FileGroup">
							<xsl:if test="position() = 1">
								<xsl:for-each select="Properties">
									<xsl:if test="position() = 1">
										<xsl:for-each select="Property">
											<xsl:if test="@IncludeInBasicDisplay='Y'">
												<td class="ch" align="center">
													<xsl:value-of select="@Caption"/>
												</td>
											</xsl:if>
										</xsl:for-each>
									</xsl:if>
								</xsl:for-each>
							</xsl:if>
						</xsl:for-each>
					</tr>
					<xsl:for-each select="FileGroup">
						<xsl:variable name="CID" select="@ID"/>
						<xsl:variable name="NME" select="@Name"/>
						<tr>
							<td class="cd">
								<xsl:value-of select="@Name"/>
							</td>
							<xsl:for-each select="Properties">
								<xsl:for-each select="Property">
									<xsl:if test="@IncludeInBasicDisplay='Y'">
										<xsl:if test="@Type = 'Boolean'">
											<xsl:choose>
												<xsl:when test="@Value = 'Y'">
													<td class="cd" align="center">
														<img src="{$yi}" alt="Yes"></img>
													</td>
												</xsl:when>
												<xsl:when test="@Value != 'Y'">
													<td class="cd" align="center">
														<img src="{$ni}" alt="No"></img>
													</td>
												</xsl:when>
											</xsl:choose>
										</xsl:if>
										<xsl:if test="@Type != 'Boolean'">
											<td class="cd">
												<xsl:value-of select="@Value"/>
												&#160;
											</td>
										</xsl:if>
									</xsl:if>
								</xsl:for-each>
							</xsl:for-each>
						</tr>
					</xsl:for-each>
				</table>
			</xsl:if>
		</xsl:for-each>
		<!-- Database Options -->
		<xsl:for-each select="DatabaseOptions">
			<br/>
			<table width="100%" cellpadding="2" cellspacing="0">
				<tr>
					<td class="h5b" width="100%">
						<xsl:value-of select="@Name"/>
					</td>
				</tr>
			</table>
			<table width="100%" cellpadding="2" cellspacing="0" class="tb">
				<xsl:for-each select="Property">
					<xsl:variable name="tpe" select="@Type"/>
					<tr>
						<td class="ch" width="20%" valign="top">
							<xsl:value-of select="@Caption"/>
						</td>
						<td class="cd">
							<xsl:choose>
								<xsl:when test="@Type = 'Boolean'">
									<xsl:choose>
										<xsl:when test="@Value = 'Y'">
											<img src="{$yi}" alt="Yes"></img>
										</xsl:when>
										<xsl:when test="@Value != 'Y'">
											<img src="{$ni}" alt="No"></img>
										</xsl:when>
									</xsl:choose>
								</xsl:when>
								<xsl:when test="@Type != 'Boolean'">
									<xsl:value-of select="@Value"/>&#160;
								</xsl:when>
							</xsl:choose>
						</td>
					</tr>
				</xsl:for-each>
			</table>
		</xsl:for-each>
	</xsl:template>

	<!-- Tables -->
	<xsl:template match="ROOT/Tables">
		<xsl:if test="@Count > 0">
			<p></p>
			<xsl:variable name="yi" select="ancestor::ROOT/GENERAL/@YESIMAGE"/>
			<xsl:variable name="ni" select="ancestor::ROOT/GENERAL/@NOIMAGE"/>
			<table width="100%" cellpadding="2" cellspacing="0">
				<tr>
					<td class="h3b" width="100%">
						<xsl:value-of select="@Name"/>
					</td>
				</tr>
			</table>
			<br/>
			<xsl:for-each select="Table">
				<xsl:variable name="TID" select="@ID"/>
				<a name="{$TID}"/>
				<table width="100%" cellpadding="2" cellspacing="0">
					<tr>
						<td class="h4b" width="95%">
							<xsl:value-of select="@Name"/>
						</td>
						<td width="5%" valign="top" align="right">
							<a href="#table{$TID}" class="h7">Top</a>
						</td>
					</tr>
				</table>
				<table width="100%" cellpadding="2" cellspacing="0" class="tb">
					<tr>
						<td class="ch" width="20%" valign="top">Name: </td>
						<td class="cd" width="80%" valign="top">
							<xsl:value-of select="@Name"/>&#160;
						</td>
					</tr>
					<tr>
						<td class="ch" width="20%" valign="top">Schema: </td>
						<td class="cd" width="80%" valign="top">
							<xsl:value-of select="@Schema"/>&#160;
						</td>
					</tr>
					<xsl:for-each select="Properties">
						<xsl:for-each select="Property">
							<xsl:variable name="tpe" select="@Type"/>
							<tr>
								<td class="ch" width="20%" valign="top">
									<xsl:value-of select="@Caption"/>
								</td>
								<td class="cd">
									<xsl:choose>
										<xsl:when test="@Type = 'Boolean'">
											<xsl:choose>
												<xsl:when test="@Value = 'Y'">
													<img src="{$yi}" alt="Yes"></img>
												</xsl:when>
												<xsl:when test="@Value != 'Y'">
													<img src="{$ni}" alt="No"></img>
												</xsl:when>
											</xsl:choose>
										</xsl:when>
										<xsl:when test="@Type != 'Boolean'">
											<xsl:value-of select="@Value"/>&#160;
										</xsl:when>
									</xsl:choose>
								</td>
							</tr>
						</xsl:for-each>
					</xsl:for-each>
					<xsl:if test="User_Comments">
						<xsl:for-each select="User_Comments">
							<xsl:variable name="Caption" select="@Name"/>
							<xsl:for-each select="DOD">
								<xsl:variable name="Desc" select="@D"/>
								<xsl:if test="$Desc != ''">
									<tr>
										<td class="ch" width="20%" valign="top">
											<xsl:value-of select="$Caption"/>
										</td>
										<td class="cd" width="80%" valign="top">
											<xsl:value-of select="$Desc"/>
										</td>
									</tr>
								</xsl:if>
							</xsl:for-each>
						</xsl:for-each>
					</xsl:if>
				</table>
				<!-- Columns -->
				<xsl:for-each select="Columns">
					<xsl:if test="@Count > 0">
						<br/>
						<table width="100%" cellpadding="2" cellspacing="0">
							<tr>
								<td class="h5b" width="95%">
									<xsl:value-of select="@Name"/>
								</td>
								<td width="5%" valign="top" align="right">
									<a href="#table{$TID}" class="h7">Top</a>
								</td>
							</tr>
						</table>
						<table width="100%" cellpadding="2" cellspacing="0" class="tb">
							<tr>
								<td class="ch">Name</td>
								<xsl:for-each select="Column">
									<xsl:if test="position() = 1">
										<xsl:for-each select="Properties">
											<xsl:if test="position() = 1">
												<xsl:for-each select="Property">
													<xsl:if test="@IncludeInBasicDisplay='Y'">
														<td class="ch" align="center">
															<xsl:value-of select="@Caption"/>
														</td>
													</xsl:if>
												</xsl:for-each>
											</xsl:if>
										</xsl:for-each>
										<xsl:if test="User_Comments">
											<xsl:for-each select="User_Comments">
												<xsl:variable name="Caption" select="@Name"/>
												<td class="ch" align="center">
													<xsl:value-of select="$Caption"/>:
												</td>
											</xsl:for-each>
										</xsl:if>
									</xsl:if>
								</xsl:for-each>
							</tr>
							<xsl:for-each select="Column">
								<xsl:variable name="CID" select="@ID"/>
								<xsl:variable name="NME" select="@Name"/>
								<tr>
									<td class="cd">
										<xsl:value-of select="@Name"/>
									</td>
									<xsl:for-each select="Properties">
										<xsl:for-each select="Property">
											<xsl:if test="@IncludeInBasicDisplay='Y'">
												<xsl:if test="@Type = 'Boolean'">
													<xsl:choose>
														<xsl:when test="@Value = 'Y'">
															<td class="cd" align="center">
																<img src="{$yi}" alt="Yes"></img>
															</td>
														</xsl:when>
														<xsl:when test="@Value != 'Y'">
															<td class="cd" align="center">
																<img src="{$ni}" alt="No"></img>
															</td>
														</xsl:when>
													</xsl:choose>
												</xsl:if>
												<xsl:if test="@Type != 'Boolean'">
													<td class="cd">
														<xsl:value-of select="@Value"/>&#160;
													</td>
												</xsl:if>
											</xsl:if>
										</xsl:for-each>
									</xsl:for-each>
									<xsl:if test="User_Comments">
										<xsl:for-each select="User_Comments">
											<xsl:variable name="Caption" select="@Name"/>
											<xsl:for-each select="DOD">
												<xsl:variable name="Desc" select="@D"/>
												<xsl:if test="$Desc != ''">
													<td class="cd" width="80%" valign="top">
														<xsl:value-of select="$Desc"/>
														<xsl:for-each select="VRS">
															<br/>
															<xsl:value-of select="@H"/>
															<br/>
															<table width="100%" cellpadding="2" cellspacing="0" class="tb">
																<tr>
																	<td class="ch">Value</td>
																	<td class="ch">Description</td>
																</tr>
																<xsl:for-each select="VR">
																	<tr>
																		<td class="cd">
																			<xsl:value-of select="@V"/>
																		</td>
																		<td class="cd">
																			<xsl:value-of select="@D"/>
																		</td>
																	</tr>
																</xsl:for-each>
															</table>
														</xsl:for-each>
														<xsl:for-each select="VAS">
															<br/>
															<xsl:value-of select="@H"/>
															<br/>
															<table width="100%" cellpadding="2" cellspacing="0" class="tb">
																<tr>
																	<td class="ch">Value</td>
																	<td class="ch">Description</td>
																</tr>
																<xsl:for-each select="VA">
																	<tr>
																		<td class="cd">
																			<xsl:value-of select="@V"/>
																		</td>
																		<td class="cd">
																			<xsl:value-of select="@D"/>
																		</td>
																	</tr>
																</xsl:for-each>
															</table>
														</xsl:for-each>
													</td>
												</xsl:if>
											</xsl:for-each>
										</xsl:for-each>
									</xsl:if>
								</tr>
							</xsl:for-each>
						</table>
					</xsl:if>
				</xsl:for-each>
				<!-- Foreign Keys -->
				<xsl:for-each select="Foreign_Keys">
					<xsl:if test="@Count > 0">
						<br/>
						<table width="100%" cellpadding="2" cellspacing="0">
							<tr>
								<td class="h5b" width="95%">
									<xsl:value-of select="@Name"/>
								</td>
								<td width="5%" valign="top" align="right">
									<a href="#table{$TID}" class="h7">Top</a>
								</td>
							</tr>
						</table>
						<table width="100%" cellpadding="2" cellspacing="0" class="tb">
							<tr>
								<td class="ch">Name</td>
								<xsl:for-each select="Foreign_Key">
									<xsl:if test="position() = 1">
										<xsl:for-each select="Properties">
											<xsl:if test="position() = 1">
												<xsl:for-each select="Property">
													<xsl:if test="@IncludeInBasicDisplay='Y'">
														<td class="ch" align="center">
															<xsl:value-of select="@Caption"/>
														</td>
													</xsl:if>
												</xsl:for-each>
											</xsl:if>
										</xsl:for-each>
										<xsl:if test="User_Comments">
											<xsl:for-each select="User_Comments">
												<xsl:variable name="Caption" select="@Name"/>
												<td class="ch" align="center">
													<xsl:value-of select="$Caption"/>:
												</td>
											</xsl:for-each>
										</xsl:if>
									</xsl:if>
								</xsl:for-each>
							</tr>
							<xsl:for-each select="Foreign_Key">
								<xsl:variable name="FKID" select="@ID"/>
								<xsl:variable name="NME" select="@Name"/>
								<tr>
									<td class="cd">
										<xsl:value-of select="@Name"/>
									</td>
									<xsl:for-each select="Properties">
										<xsl:for-each select="Property">
											<xsl:if test="@IncludeInBasicDisplay='Y'">
												<xsl:if test="@Type = 'Boolean'">
													<xsl:choose>
														<xsl:when test="@Value = 'Y'">
															<td class="cd" align="center">
																<img src="{$yi}" alt="Yes"></img>
															</td>
														</xsl:when>
														<xsl:when test="@Value != 'Y'">
															<td class="cd" align="center">
																<img src="{$ni}" alt="No"></img>
															</td>
														</xsl:when>
													</xsl:choose>
												</xsl:if>
												<xsl:if test="@Type != 'Boolean'">
													<td class="cd">
														<xsl:value-of select="@Value"/>&#160;
													</td>
												</xsl:if>
											</xsl:if>
										</xsl:for-each>
									</xsl:for-each>
									<xsl:if test="User_Comments">
										<xsl:for-each select="User_Comments">
											<xsl:variable name="Caption" select="@Name"/>
											<xsl:for-each select="DOD">
												<xsl:variable name="Desc" select="@D"/>
												<xsl:if test="$Desc != ''">
													<td class="cd" width="80%" valign="top">
														<xsl:value-of select="$Desc"/>
														<xsl:for-each select="VRS">
															<br/>
															<xsl:value-of select="@H"/>
															<br/>
															<table width="100%" cellpadding="2" cellspacing="0" class="tb">
																<tr>
																	<td class="ch">Value</td>
																	<td class="ch">Description</td>
																</tr>
																<xsl:for-each select="VR">
																	<tr>
																		<td class="cd">
																			<xsl:value-of select="@V"/>
																		</td>
																		<td class="cd">
																			<xsl:value-of select="@D"/>
																		</td>
																	</tr>
																</xsl:for-each>
															</table>
														</xsl:for-each>
														<xsl:for-each select="VAS">
															<br/>
															<xsl:value-of select="@H"/>
															<br/>
															<table width="100%" cellpadding="2" cellspacing="0" class="tb">
																<tr>
																	<td class="ch">Value</td>
																	<td class="ch">Description</td>
																</tr>
																<xsl:for-each select="VA">
																	<tr>
																		<td class="cd">
																			<xsl:value-of select="@V"/>
																		</td>
																		<td class="cd">
																			<xsl:value-of select="@D"/>
																		</td>
																	</tr>
																</xsl:for-each>
															</table>
														</xsl:for-each>
													</td>
												</xsl:if>
											</xsl:for-each>
										</xsl:for-each>
									</xsl:if>
								</tr>
							</xsl:for-each>
						</table>
					</xsl:if>
				</xsl:for-each>
				<!-- Check Constraints -->
				<xsl:for-each select="Check_Constraints">
					<xsl:if test="@Count > 0">
						<br/>
						<table width="100%" cellpadding="2" cellspacing="0">
							<tr>
								<td class="h5b" width="95%">
									<xsl:value-of select="@Name"/>
								</td>
								<td width="5%" valign="top" align="right">
									<a href="#table{$TID}" class="h7">Top</a>
								</td>
							</tr>
						</table>
						<table width="100%" cellpadding="2" cellspacing="0" class="tb">
							<tr>
								<td class="ch">Name</td>
								<xsl:for-each select="Check_Constraint">
									<xsl:if test="position() = 1">
										<xsl:for-each select="Properties">
											<xsl:if test="position() = 1">
												<xsl:for-each select="Property">
													<xsl:if test="@IncludeInBasicDisplay='Y'">
														<td class="ch" align="center">
															<xsl:value-of select="@Caption"/>
														</td>
													</xsl:if>
												</xsl:for-each>
												<xsl:if test="User_Comments">
													<xsl:for-each select="User_Comments">
														<xsl:variable name="Caption" select="@Name"/>
														<td class="ch" align="center">
															<xsl:value-of select="$Caption"/>:
														</td>
													</xsl:for-each>
												</xsl:if>
											</xsl:if>
										</xsl:for-each>
									</xsl:if>
								</xsl:for-each>
							</tr>
							<xsl:for-each select="Check_Constraint">
								<xsl:variable name="CID" select="@ID"/>
								<xsl:variable name="NME" select="@Name"/>
								<tr>
									<td class="cd">
										<xsl:value-of select="@Name"/>
									</td>
									<xsl:for-each select="Properties">
										<xsl:for-each select="Property">
											<xsl:if test="@IncludeInBasicDisplay='Y'">
												<xsl:if test="@Type = 'Boolean'">
													<xsl:choose>
														<xsl:when test="@Value = 'Y'">
															<td class="cd" align="center">
																<img src="{$yi}" alt="Yes"></img>
															</td>
														</xsl:when>
														<xsl:when test="@Value != 'Y'">
															<td class="cd" align="center">
																<img src="{$ni}" alt="No"></img>
															</td>
														</xsl:when>
													</xsl:choose>
												</xsl:if>
												<xsl:if test="@Type != 'Boolean'">
													<td class="cd">
														<xsl:value-of select="@Value"/>&#160;
													</td>
												</xsl:if>
											</xsl:if>
										</xsl:for-each>
									</xsl:for-each>
									<xsl:if test="User_Comments">
										<xsl:for-each select="User_Comments">
											<xsl:variable name="Caption" select="@Name"/>
											<xsl:for-each select="DOD">
												<xsl:variable name="Desc" select="@D"/>
												<xsl:if test="$Desc != ''">
													<td class="cd" width="80%" valign="top">
														<xsl:value-of select="$Desc"/>
														<xsl:for-each select="VRS">
															<br/>
															<xsl:value-of select="@H"/>
															<br/>
															<table width="100%" cellpadding="2" cellspacing="0" class="tb">
																<tr>
																	<td class="ch">Value</td>
																	<td class="ch">Description</td>
																</tr>
																<xsl:for-each select="VR">
																	<tr>
																		<td class="cd">
																			<xsl:value-of select="@V"/>
																		</td>
																		<td class="cd">
																			<xsl:value-of select="@D"/>
																		</td>
																	</tr>
																</xsl:for-each>
															</table>
														</xsl:for-each>
														<xsl:for-each select="VAS">
															<br/>
															<xsl:value-of select="@H"/>
															<br/>
															<table width="100%" cellpadding="2" cellspacing="0" class="tb">
																<tr>
																	<td class="ch">Value</td>
																	<td class="ch">Description</td>
																</tr>
																<xsl:for-each select="VA">
																	<tr>
																		<td class="cd">
																			<xsl:value-of select="@V"/>
																		</td>
																		<td class="cd">
																			<xsl:value-of select="@D"/>
																		</td>
																	</tr>
																</xsl:for-each>
															</table>
														</xsl:for-each>
													</td>
												</xsl:if>
											</xsl:for-each>
										</xsl:for-each>
									</xsl:if>
								</tr>
							</xsl:for-each>
						</table>
					</xsl:if>
				</xsl:for-each>
				<!-- Default Constraints -->
				<xsl:for-each select="Default_Constraints">
					<xsl:if test="@Count > 0">
						<br/>
						<table width="100%" cellpadding="2" cellspacing="0">
							<tr>
								<td class="h5b" width="95%">
									<xsl:value-of select="@Name"/>
								</td>
								<td width="5%" valign="top" align="right">
									<a href="#table{$TID}" class="h7">Top</a>
								</td>
							</tr>
						</table>
						<table width="100%" cellpadding="2" cellspacing="0" class="tb">
							<tr>
								<td class="ch">Name</td>
								<xsl:for-each select="Default_Constraint">
									<xsl:if test="position() = 1">
										<xsl:for-each select="Properties">
											<xsl:if test="position() = 1">
												<xsl:for-each select="Property">
													<xsl:if test="@IncludeInBasicDisplay='Y'">
														<td class="ch" align="center">
															<xsl:value-of select="@Caption"/>
														</td>
													</xsl:if>
												</xsl:for-each>
												<xsl:if test="User_Comments">
													<xsl:for-each select="User_Comments">
														<xsl:variable name="Caption" select="@Name"/>
														<td class="ch" align="center">
															<xsl:value-of select="$Caption"/>:
														</td>
													</xsl:for-each>
												</xsl:if>
											</xsl:if>
										</xsl:for-each>
									</xsl:if>
								</xsl:for-each>
							</tr>
							<xsl:for-each select="Default_Constraint">
								<xsl:variable name="CID" select="@ID"/>
								<xsl:variable name="NME" select="@Name"/>
								<tr>
									<td class="cd">
										<xsl:value-of select="@Name"/>
									</td>
									<xsl:for-each select="Properties">
										<xsl:for-each select="Property">
											<xsl:if test="@IncludeInBasicDisplay='Y'">
												<xsl:if test="@Type = 'Boolean'">
													<xsl:choose>
														<xsl:when test="@Value = 'Y'">
															<td class="cd" align="center">
																<img src="{$yi}" alt="Yes"></img>
															</td>
														</xsl:when>
														<xsl:when test="@Value != 'Y'">
															<td class="cd" align="center">
																<img src="{$ni}" alt="No"></img>
															</td>
														</xsl:when>
													</xsl:choose>
												</xsl:if>
												<xsl:if test="@Type != 'Boolean'">
													<td class="cd">
														<xsl:value-of select="@Value"/>&#160;
													</td>
												</xsl:if>
											</xsl:if>
										</xsl:for-each>
									</xsl:for-each>
									<xsl:if test="User_Comments">
										<xsl:for-each select="User_Comments">
											<xsl:variable name="Caption" select="@Name"/>
											<xsl:for-each select="DOD">
												<xsl:variable name="Desc" select="@D"/>
												<xsl:if test="$Desc != ''">
													<td class="cd" width="80%" valign="top">
														<xsl:value-of select="$Desc"/>
														<xsl:for-each select="VRS">
															<br/>
															<xsl:value-of select="@H"/>
															<br/>
															<table width="100%" cellpadding="2" cellspacing="0" class="tb">
																<tr>
																	<td class="ch">Value</td>
																	<td class="ch">Description</td>
																</tr>
																<xsl:for-each select="VR">
																	<tr>
																		<td class="cd">
																			<xsl:value-of select="@V"/>
																		</td>
																		<td class="cd">
																			<xsl:value-of select="@D"/>
																		</td>
																	</tr>
																</xsl:for-each>
															</table>
														</xsl:for-each>
														<xsl:for-each select="VAS">
															<br/>
															<xsl:value-of select="@H"/>
															<br/>
															<table width="100%" cellpadding="2" cellspacing="0" class="tb">
																<tr>
																	<td class="ch">Value</td>
																	<td class="ch">Description</td>
																</tr>
																<xsl:for-each select="VA">
																	<tr>
																		<td class="cd">
																			<xsl:value-of select="@V"/>
																		</td>
																		<td class="cd">
																			<xsl:value-of select="@D"/>
																		</td>
																	</tr>
																</xsl:for-each>
															</table>
														</xsl:for-each>
													</td>
												</xsl:if>
											</xsl:for-each>
										</xsl:for-each>
									</xsl:if>
								</tr>
							</xsl:for-each>
						</table>
					</xsl:if>
				</xsl:for-each>
				<!-- Indexes -->
				<xsl:for-each select="Indexes">
					<xsl:if test="@Count > 0">
						<br/>
						<table width="100%" cellpadding="2" cellspacing="0">
							<tr>
								<td class="h5b" width="95%">
									<xsl:value-of select="@Name"/>
								</td>
								<td width="5%" valign="top" align="right">
									<a href="#table{$TID}" class="h7">Top</a>
								</td>
							</tr>
						</table>
						<table width="100%" cellpadding="2" cellspacing="0" class="tb">
							<tr>
								<td class="ch">Name</td>
								<xsl:for-each select="Index">
									<xsl:if test="position() = 1">
										<xsl:for-each select="Properties">
											<xsl:if test="position() = 1">
												<xsl:for-each select="Property">
													<xsl:if test="@IncludeInBasicDisplay='Y'">
														<td class="ch" align="center">
															<xsl:value-of select="@Caption"/>
														</td>
													</xsl:if>
												</xsl:for-each>
											</xsl:if>
										</xsl:for-each>
										<xsl:if test="User_Comments">
											<xsl:for-each select="User_Comments">
												<xsl:variable name="Caption" select="@Name"/>
												<td class="ch" align="center">
													<xsl:value-of select="$Caption"/>:
												</td>
											</xsl:for-each>
										</xsl:if>
									</xsl:if>
								</xsl:for-each>
							</tr>
							<xsl:for-each select="Index">
								<xsl:variable name="CID" select="@ID"/>
								<xsl:variable name="NME" select="@Name"/>
								<tr>
									<td class="cd">
										<xsl:value-of select="@Name"/>
									</td>
									<xsl:for-each select="Properties">
										<xsl:for-each select="Property">
											<xsl:if test="@IncludeInBasicDisplay='Y'">
												<xsl:if test="@Type = 'Boolean'">
													<xsl:choose>
														<xsl:when test="@Value = 'Y'">
															<td class="cd" align="center">
																<img src="{$yi}" alt="Yes"></img>
															</td>
														</xsl:when>
														<xsl:when test="@Value != 'Y'">
															<td class="cd" align="center">
																<img src="{$ni}" alt="No"></img>
															</td>
														</xsl:when>
													</xsl:choose>
												</xsl:if>
												<xsl:if test="@Type != 'Boolean'">
													<td class="cd">
														<xsl:value-of select="@Value"/>&#160;
													</td>
												</xsl:if>
											</xsl:if>
										</xsl:for-each>
									</xsl:for-each>
									<xsl:if test="User_Comments">
										<xsl:for-each select="User_Comments">
											<xsl:variable name="Caption" select="@Name"/>
											<xsl:for-each select="DOD">
												<xsl:variable name="Desc" select="@D"/>
												<xsl:if test="$Desc != ''">
													<td class="cd" width="80%" valign="top">
														<xsl:value-of select="$Desc"/>
														<xsl:for-each select="VRS">
															<br/>
															<xsl:value-of select="@H"/>
															<br/>
															<table width="100%" cellpadding="2" cellspacing="0" class="tb">
																<tr>
																	<td class="ch">Value</td>
																	<td class="ch">Description</td>
																</tr>
																<xsl:for-each select="VR">
																	<tr>
																		<td class="cd">
																			<xsl:value-of select="@V"/>
																		</td>
																		<td class="cd">
																			<xsl:value-of select="@D"/>
																		</td>
																	</tr>
																</xsl:for-each>
															</table>
														</xsl:for-each>
														<xsl:for-each select="VAS">
															<br/>
															<xsl:value-of select="@H"/>
															<br/>
															<table width="100%" cellpadding="2" cellspacing="0" class="tb">
																<tr>
																	<td class="ch">Value</td>
																	<td class="ch">Description</td>
																</tr>
																<xsl:for-each select="VA">
																	<tr>
																		<td class="cd">
																			<xsl:value-of select="@V"/>
																		</td>
																		<td class="cd">
																			<xsl:value-of select="@D"/>
																		</td>
																	</tr>
																</xsl:for-each>
															</table>
														</xsl:for-each>
													</td>
												</xsl:if>
											</xsl:for-each>
										</xsl:for-each>
									</xsl:if>
								</tr>
							</xsl:for-each>
						</table>
					</xsl:if>
				</xsl:for-each>
				<!-- Triggers -->
				<xsl:for-each select="Triggers">
					<xsl:if test="@Count > 0">
						<br/>
						<table width="100%" cellpadding="2" cellspacing="0">
							<tr>
								<td class="h5b" width="95%">
									<xsl:value-of select="@Name"/>
								</td>
								<td width="5%" valign="top" align="right">
									<a href="#table{$TID}" class="h7">Top</a>
								</td>
							</tr>
						</table>
						<table width="100%" cellpadding="2" cellspacing="0" class="tb">
							<tr>
								<td class="ch">Name</td>
								<xsl:for-each select="Trigger">
									<xsl:if test="position() = 1">
										<xsl:for-each select="Properties">
											<xsl:if test="position() = 1">
												<xsl:for-each select="Property">
													<xsl:if test="@IncludeInBasicDisplay='Y'">
														<td class="ch" align="center">
															<xsl:value-of select="@Caption"/>
														</td>
													</xsl:if>
												</xsl:for-each>
												<xsl:if test="User_Comments">
													<xsl:for-each select="User_Comments">
														<xsl:variable name="Caption" select="@Name"/>
														<td class="ch" align="center">
															<xsl:value-of select="$Caption"/>:
														</td>
													</xsl:for-each>
												</xsl:if>
											</xsl:if>
										</xsl:for-each>
									</xsl:if>
								</xsl:for-each>
							</tr>
							<xsl:for-each select="Trigger">
								<xsl:variable name="CID" select="@ID"/>
								<xsl:variable name="NME" select="@Name"/>
								<tr>
									<td class="cd">
										<xsl:value-of select="@Name"/>
									</td>
									<xsl:for-each select="Properties">
										<xsl:for-each select="Property">
											<xsl:if test="@IncludeInBasicDisplay='Y'">
												<xsl:if test="@Type = 'Boolean'">
													<xsl:choose>
														<xsl:when test="@Value = 'Y'">
															<td class="cd" align="center">
																<img src="{$yi}" alt="Yes"></img>
															</td>
														</xsl:when>
														<xsl:when test="@Value != 'Y'">
															<td class="cd" align="center">
																<img src="{$ni}" alt="No"></img>
															</td>
														</xsl:when>
													</xsl:choose>
												</xsl:if>
												<xsl:if test="@Type != 'Boolean'">
													<td class="cd">
														<xsl:value-of select="@Value"/>&#160;
													</td>
												</xsl:if>
											</xsl:if>
										</xsl:for-each>
									</xsl:for-each>
									<xsl:if test="User_Comments">
										<xsl:for-each select="User_Comments">
											<xsl:variable name="Caption" select="@Name"/>
											<xsl:for-each select="DOD">
												<xsl:variable name="Desc" select="@D"/>
												<xsl:if test="$Desc != ''">
													<td class="cd" width="80%" valign="top">
														<xsl:value-of select="$Desc"/>
														<xsl:for-each select="VRS">
															<br/>
															<xsl:value-of select="@H"/>
															<br/>
															<table width="100%" cellpadding="2" cellspacing="0" class="tb">
																<tr>
																	<td class="ch">Value</td>
																	<td class="ch">Description</td>
																</tr>
																<xsl:for-each select="VR">
																	<tr>
																		<td class="cd">
																			<xsl:value-of select="@V"/>
																		</td>
																		<td class="cd">
																			<xsl:value-of select="@D"/>
																		</td>
																	</tr>
																</xsl:for-each>
															</table>
														</xsl:for-each>
														<xsl:for-each select="VAS">
															<br/>
															<xsl:value-of select="@H"/>
															<br/>
															<table width="100%" cellpadding="2" cellspacing="0" class="tb">
																<tr>
																	<td class="ch">Value</td>
																	<td class="ch">Description</td>
																</tr>
																<xsl:for-each select="VA">
																	<tr>
																		<td class="cd">
																			<xsl:value-of select="@V"/>
																		</td>
																		<td class="cd">
																			<xsl:value-of select="@D"/>
																		</td>
																	</tr>
																</xsl:for-each>
															</table>
														</xsl:for-each>
													</td>
												</xsl:if>
											</xsl:for-each>
										</xsl:for-each>
									</xsl:if>
								</tr>
							</xsl:for-each>
						</table>
					</xsl:if>
				</xsl:for-each>
				<br/>
				<p></p>
			</xsl:for-each>
		</xsl:if>
	</xsl:template>

	<!-- Stored Procedures -->
	<xsl:template match="ROOT/StoredProcedures">
		<xsl:if test="@Count > 0">
			<p></p>
			<xsl:variable name="yi" select="ancestor::ROOT/GENERAL/@YESIMAGE"/>
			<xsl:variable name="ni" select="ancestor::ROOT/GENERAL/@NOIMAGE"/>
			<table width="100%" cellpadding="2" cellspacing="0">
				<tr>
					<td class="h3b" width="100%">
						<xsl:value-of select="@Name"/>
					</td>
				</tr>
			</table>
			<br/>
			<xsl:for-each select="StoredProcedure">
				<xsl:variable name="TID" select="@ID"/>
				<a name="{$TID}"/>
				<table width="100%" cellpadding="2" cellspacing="0">
					<tr>
						<td class="h4b" width="95%">
							<xsl:value-of select="@Name"/>
						</td>
						<td width="5%" valign="top" align="right">
							<a href="#table{$TID}" class="h7">Top</a>
						</td>
					</tr>
				</table>
				<table width="100%" cellpadding="2" cellspacing="0" class="tb">
					<tr>
						<td class="ch" width="20%" valign="top">Name: </td>
						<td class="cd" width="80%" valign="top">
							<xsl:value-of select="@Name"/>&#160;
						</td>
					</tr>
					<tr>
						<td class="ch" width="20%" valign="top">Schema: </td>
						<td class="cd" width="80%" valign="top">
							<xsl:value-of select="@Schema"/>&#160;
						</td>
					</tr>
					<xsl:for-each select="Properties">
						<xsl:for-each select="Property">
							<xsl:variable name="tpe" select="@Type"/>
							<tr>
								<td class="ch" width="20%" valign="top">
									<xsl:value-of select="@Caption"/>
								</td>
								<td class="cd">
									<xsl:choose>
										<xsl:when test="@Type = 'Boolean'">
											<xsl:choose>
												<xsl:when test="@Value = 'Y'">
													<img src="{$yi}" alt="Yes"></img>
												</xsl:when>
												<xsl:when test="@Value != 'Y'">
													<img src="{$ni}" alt="No"></img>
												</xsl:when>
											</xsl:choose>
										</xsl:when>
										<xsl:when test="@Type != 'Boolean'">
											<xsl:value-of select="@Value"/>&#160;
										</xsl:when>
									</xsl:choose>
								</td>
							</tr>
						</xsl:for-each>
					</xsl:for-each>
					<tr>
						<td class="ch" width="20%" valign="top">Definition: </td>
						<td class="cd" width="80%" valign="top">
							<pre class="tf">
								<xsl:value-of select="@Definition"/>&#160;
							</pre>
						</td>
					</tr>
					<xsl:if test="User_Comments">
						<xsl:for-each select="User_Comments">
							<xsl:variable name="Caption" select="@Name"/>
							<xsl:for-each select="DOD">
								<xsl:variable name="Desc" select="@D"/>
								<xsl:if test="$Desc != ''">
									<tr>
										<td class="ch" width="20%" valign="top">
											<xsl:value-of select="$Caption"/>
										</td>
										<td class="cd" width="80%" valign="top">
											<xsl:value-of select="$Desc"/>
										</td>
									</tr>
								</xsl:if>
							</xsl:for-each>
						</xsl:for-each>
					</xsl:if>
				</table>
				<!-- Parameters -->
				<xsl:for-each select="Parameters">
					<xsl:if test="@Count > 0">
						<br/>
						<table width="100%" cellpadding="2" cellspacing="0">
							<tr>
								<td class="h5b" width="95%">
									<xsl:value-of select="@Name"/>
								</td>
								<td width="5%" valign="top" align="right">
									<a href="#table{$TID}" class="h7">Top</a>
								</td>
							</tr>
						</table>
						<table width="100%" cellpadding="2" cellspacing="0" class="tb">
							<tr>
								<td class="ch">Name</td>
								<xsl:for-each select="StoredProcedureParameter">
									<xsl:if test="position() = 1">
										<xsl:for-each select="Properties">
											<xsl:if test="position() = 1">
												<xsl:for-each select="Property">
													<xsl:if test="@IncludeInBasicDisplay='Y'">
														<td class="ch" align="center">
															<xsl:value-of select="@Caption"/>
														</td>
													</xsl:if>
												</xsl:for-each>
												<xsl:if test="User_Comments">
													<xsl:for-each select="User_Comments">
														<xsl:variable name="Caption" select="@Name"/>
														<td class="ch" align="center">
															<xsl:value-of select="$Caption"/>:
														</td>
													</xsl:for-each>
												</xsl:if>
											</xsl:if>
										</xsl:for-each>
									</xsl:if>
								</xsl:for-each>
							</tr>
							<xsl:for-each select="StoredProcedureParameter">
								<xsl:variable name="CID" select="@ID"/>
								<xsl:variable name="NME" select="@Name"/>
								<tr>
									<td class="cd">
										<xsl:value-of select="@Name"/>
									</td>
									<xsl:for-each select="Properties">
										<xsl:for-each select="Property">
											<xsl:if test="@IncludeInBasicDisplay='Y'">
												<xsl:if test="@Type = 'Boolean'">
													<xsl:choose>
														<xsl:when test="@Value = 'Y'">
															<td class="cd" align="center">
																<img src="{$yi}" alt="Yes"></img>
															</td>
														</xsl:when>
														<xsl:when test="@Value != 'Y'">
															<td class="cd" align="center">
																<img src="{$ni}" alt="No"></img>
															</td>
														</xsl:when>
													</xsl:choose>
												</xsl:if>
												<xsl:if test="@Type != 'Boolean'">
													<td class="cd">
														<xsl:value-of select="@Value"/>
														&#160;
													</td>
												</xsl:if>
											</xsl:if>
										</xsl:for-each>
									</xsl:for-each>
									<xsl:if test="User_Comments">
										<xsl:for-each select="User_Comments">
											<xsl:variable name="Caption" select="@Name"/>
											<xsl:for-each select="DOD">
												<xsl:variable name="Desc" select="@D"/>
												<xsl:if test="$Desc != ''">
													<td class="cd" width="80%" valign="top">
														<xsl:value-of select="$Desc"/>
														<xsl:for-each select="VRS">
															<br/>
															<xsl:value-of select="@H"/>
															<br/>
															<table width="100%" cellpadding="2" cellspacing="0" class="tb">
																<tr>
																	<td class="ch">Value</td>
																	<td class="ch">Description</td>
																</tr>
																<xsl:for-each select="VR">
																	<tr>
																		<td class="cd">
																			<xsl:value-of select="@V"/>
																		</td>
																		<td class="cd">
																			<xsl:value-of select="@D"/>
																		</td>
																	</tr>
																</xsl:for-each>
															</table>
														</xsl:for-each>
														<xsl:for-each select="VAS">
															<br/>
															<xsl:value-of select="@H"/>
															<br/>
															<table width="100%" cellpadding="2" cellspacing="0" class="tb">
																<tr>
																	<td class="ch">Value</td>
																	<td class="ch">Description</td>
																</tr>
																<xsl:for-each select="VA">
																	<tr>
																		<td class="cd">
																			<xsl:value-of select="@V"/>
																		</td>
																		<td class="cd">
																			<xsl:value-of select="@D"/>
																		</td>
																	</tr>
																</xsl:for-each>
															</table>
														</xsl:for-each>
													</td>
												</xsl:if>
											</xsl:for-each>
										</xsl:for-each>
									</xsl:if>
								</tr>
							</xsl:for-each>
						</table>
					</xsl:if>
				</xsl:for-each>
				<br/>
				<p></p>
			</xsl:for-each>
		</xsl:if>
	</xsl:template>

	<!-- Views -->
	<xsl:template match="ROOT/Views">
		<xsl:if test="@Count > 0">
			<p></p>
			<xsl:variable name="yi" select="ancestor::ROOT/GENERAL/@YESIMAGE"/>
			<xsl:variable name="ni" select="ancestor::ROOT/GENERAL/@NOIMAGE"/>
			<table width="100%" cellpadding="2" cellspacing="0">
				<tr>
					<td class="h3b" width="100%">
						<xsl:value-of select="@Name"/>
					</td>
				</tr>
			</table>
			<br/>
			<xsl:for-each select="View">
				<xsl:variable name="TID" select="@ID"/>
				<a name="{$TID}"/>
				<table width="100%" cellpadding="2" cellspacing="0">
					<tr>
						<td class="h4b" width="95%">
							<xsl:value-of select="@Name"/>
						</td>
						<td width="5%" valign="top" align="right">
							<a href="#table{$TID}" class="h7">Top</a>
						</td>
					</tr>
				</table>
				<table width="100%" cellpadding="2" cellspacing="0" class="tb">
					<tr>
						<td class="ch" width="20%" valign="top">Name: </td>
						<td class="cd" width="80%" valign="top">
							<xsl:value-of select="@Name"/>&#160;
						</td>
					</tr>
					<tr>
						<td class="ch" width="20%" valign="top">Schema: </td>
						<td class="cd" width="80%" valign="top">
							<xsl:value-of select="@Schema"/>&#160;
						</td>
					</tr>
					<xsl:for-each select="Properties">
						<xsl:for-each select="Property">
							<xsl:variable name="tpe" select="@Type"/>
							<tr>
								<td class="ch" width="20%" valign="top">
									<xsl:value-of select="@Caption"/>
								</td>
								<td class="cd">
									<xsl:choose>
										<xsl:when test="@Type = 'Boolean'">
											<xsl:choose>
												<xsl:when test="@Value = 'Y'">
													<img src="{$yi}" alt="Yes"></img>
												</xsl:when>
												<xsl:when test="@Value != 'Y'">
													<img src="{$ni}" alt="No"></img>
												</xsl:when>
											</xsl:choose>
										</xsl:when>
										<xsl:when test="@Type != 'Boolean'">
											<xsl:value-of select="@Value"/>&#160;
										</xsl:when>
									</xsl:choose>
								</td>
							</tr>
						</xsl:for-each>
					</xsl:for-each>
					<tr>
						<td class="ch" width="20%" valign="top">Definition: </td>
						<td class="cd" width="80%" valign="top">
							<pre class="tf">
								<xsl:value-of select="@Definition"/>&#160;
							</pre>
						</td>
					</tr>
					<xsl:if test="User_Comments">
						<xsl:for-each select="User_Comments">
							<xsl:variable name="Caption" select="@Name"/>
							<xsl:for-each select="DOD">
								<xsl:variable name="Desc" select="@D"/>
								<xsl:if test="$Desc != ''">
									<tr>
										<td class="ch" width="20%" valign="top">
											<xsl:value-of select="$Caption"/>
										</td>
										<td class="cd" width="80%" valign="top">
											<xsl:value-of select="$Desc"/>
										</td>
									</tr>
								</xsl:if>
							</xsl:for-each>
						</xsl:for-each>
					</xsl:if>
				</table>
				<!-- Columns -->
				<xsl:for-each select="Columns">
					<xsl:if test="@Count > 0">
						<br/>
						<table width="100%" cellpadding="2" cellspacing="0">
							<tr>
								<td class="h5b" width="95%">
									<xsl:value-of select="@Name"/>
								</td>
								<td width="5%" valign="top" align="right">
									<a href="#table{$TID}" class="h7">Top</a>
								</td>
							</tr>
						</table>
						<table width="100%" cellpadding="2" cellspacing="0" class="tb">
							<tr>
								<td class="ch">Name</td>
								<xsl:for-each select="Column">
									<xsl:if test="position() = 1">
										<xsl:for-each select="Properties">
											<xsl:if test="position() = 1">
												<xsl:for-each select="Property">
													<xsl:if test="@IncludeInBasicDisplay='Y'">
														<td class="ch" align="center">
															<xsl:value-of select="@Caption"/>
														</td>
													</xsl:if>
												</xsl:for-each>
												<xsl:if test="User_Comments">
													<xsl:for-each select="User_Comments">
														<xsl:variable name="Caption" select="@Name"/>
														<td class="ch" align="center">
															<xsl:value-of select="$Caption"/>:
														</td>
													</xsl:for-each>
												</xsl:if>
											</xsl:if>
										</xsl:for-each>
									</xsl:if>
								</xsl:for-each>
							</tr>
							<xsl:for-each select="Column">
								<xsl:variable name="CID" select="@ID"/>
								<xsl:variable name="NME" select="@Name"/>
								<tr>
									<td class="cd">
										<xsl:value-of select="@Name"/>
									</td>
									<xsl:for-each select="Properties">
										<xsl:for-each select="Property">
											<xsl:if test="@IncludeInBasicDisplay='Y'">
												<xsl:if test="@Type = 'Boolean'">
													<xsl:choose>
														<xsl:when test="@Value = 'Y'">
															<td class="cd" align="center">
																<img src="{$yi}" alt="Yes"></img>
															</td>
														</xsl:when>
														<xsl:when test="@Value != 'Y'">
															<td class="cd" align="center">
																<img src="{$ni}" alt="No"></img>
															</td>
														</xsl:when>
													</xsl:choose>
												</xsl:if>
												<xsl:if test="@Type != 'Boolean'">
													<td class="cd">
														<xsl:value-of select="@Value"/>&#160;
													</td>
												</xsl:if>
											</xsl:if>
										</xsl:for-each>
									</xsl:for-each>
									<xsl:if test="User_Comments">
										<xsl:for-each select="User_Comments">
											<xsl:variable name="Caption" select="@Name"/>
											<xsl:for-each select="DOD">
												<xsl:variable name="Desc" select="@D"/>
												<xsl:if test="$Desc != ''">
													<td class="cd" width="80%" valign="top">
														<xsl:value-of select="$Desc"/>
														<xsl:for-each select="VRS">
															<br/>
															<xsl:value-of select="@H"/>
															<br/>
															<table width="100%" cellpadding="2" cellspacing="0" class="tb">
																<tr>
																	<td class="ch">Value</td>
																	<td class="ch">Description</td>
																</tr>
																<xsl:for-each select="VR">
																	<tr>
																		<td class="cd">
																			<xsl:value-of select="@V"/>
																		</td>
																		<td class="cd">
																			<xsl:value-of select="@D"/>
																		</td>
																	</tr>
																</xsl:for-each>
															</table>
														</xsl:for-each>
														<xsl:for-each select="VAS">
															<br/>
															<xsl:value-of select="@H"/>
															<br/>
															<table width="100%" cellpadding="2" cellspacing="0" class="tb">
																<tr>
																	<td class="ch">Value</td>
																	<td class="ch">Description</td>
																</tr>
																<xsl:for-each select="VA">
																	<tr>
																		<td class="cd">
																			<xsl:value-of select="@V"/>
																		</td>
																		<td class="cd">
																			<xsl:value-of select="@D"/>
																		</td>
																	</tr>
																</xsl:for-each>
															</table>
														</xsl:for-each>
													</td>
												</xsl:if>
											</xsl:for-each>
										</xsl:for-each>
									</xsl:if>
								</tr>
							</xsl:for-each>
						</table>
					</xsl:if>
				</xsl:for-each>
				<!-- Indexes -->
				<xsl:for-each select="Indexes">
					<xsl:if test="@Count > 0">
						<br/>
						<table width="100%" cellpadding="2" cellspacing="0">
							<tr>
								<td class="h5b" width="95%">
									<xsl:value-of select="@Name"/>
								</td>
								<td width="5%" valign="top" align="right">
									<a href="#table{$TID}" class="h7">Top</a>
								</td>
							</tr>
						</table>
						<table width="100%" cellpadding="2" cellspacing="0" class="tb">
							<tr>
								<td class="ch">Name</td>
								<xsl:for-each select="Index">
									<xsl:if test="position() = 1">
										<xsl:for-each select="Properties">
											<xsl:if test="position() = 1">
												<xsl:for-each select="Property">
													<xsl:if test="@IncludeInBasicDisplay='Y'">
														<td class="ch" align="center">
															<xsl:value-of select="@Caption"/>
														</td>
													</xsl:if>
												</xsl:for-each>
												<xsl:if test="User_Comments">
													<xsl:for-each select="User_Comments">
														<xsl:variable name="Caption" select="@Name"/>
														<td class="ch" align="center">
															<xsl:value-of select="$Caption"/>:
														</td>
													</xsl:for-each>
												</xsl:if>
											</xsl:if>
										</xsl:for-each>
									</xsl:if>
								</xsl:for-each>
							</tr>
							<xsl:for-each select="Index">
								<xsl:variable name="CID" select="@ID"/>
								<xsl:variable name="NME" select="@Name"/>
								<tr>
									<td class="cd">
										<xsl:value-of select="@Name"/>
									</td>
									<xsl:for-each select="Properties">
										<xsl:for-each select="Property">
											<xsl:if test="@IncludeInBasicDisplay='Y'">
												<xsl:if test="@Type = 'Boolean'">
													<xsl:choose>
														<xsl:when test="@Value = 'Y'">
															<td class="cd" align="center">
																<img src="{$yi}" alt="Yes"></img>
															</td>
														</xsl:when>
														<xsl:when test="@Value != 'Y'">
															<td class="cd" align="center">
																<img src="{$ni}" alt="No"></img>
															</td>
														</xsl:when>
													</xsl:choose>
												</xsl:if>
												<xsl:if test="@Type != 'Boolean'">
													<td class="cd">
														<xsl:value-of select="@Value"/>&#160;
													</td>
												</xsl:if>
											</xsl:if>
										</xsl:for-each>
									</xsl:for-each>
									<xsl:if test="User_Comments">
										<xsl:for-each select="User_Comments">
											<xsl:variable name="Caption" select="@Name"/>
											<xsl:for-each select="DOD">
												<xsl:variable name="Desc" select="@D"/>
												<xsl:if test="$Desc != ''">
													<td class="cd" width="80%" valign="top">
														<xsl:value-of select="$Desc"/>
														<xsl:for-each select="VRS">
															<br/>
															<xsl:value-of select="@H"/>
															<br/>
															<table width="100%" cellpadding="2" cellspacing="0" class="tb">
																<tr>
																	<td class="ch">Value</td>
																	<td class="ch">Description</td>
																</tr>
																<xsl:for-each select="VR">
																	<tr>
																		<td class="cd">
																			<xsl:value-of select="@V"/>
																		</td>
																		<td class="cd">
																			<xsl:value-of select="@D"/>
																		</td>
																	</tr>
																</xsl:for-each>
															</table>
														</xsl:for-each>
														<xsl:for-each select="VAS">
															<br/>
															<xsl:value-of select="@H"/>
															<br/>
															<table width="100%" cellpadding="2" cellspacing="0" class="tb">
																<tr>
																	<td class="ch">Value</td>
																	<td class="ch">Description</td>
																</tr>
																<xsl:for-each select="VA">
																	<tr>
																		<td class="cd">
																			<xsl:value-of select="@V"/>
																		</td>
																		<td class="cd">
																			<xsl:value-of select="@D"/>
																		</td>
																	</tr>
																</xsl:for-each>
															</table>
														</xsl:for-each>
													</td>
												</xsl:if>
											</xsl:for-each>
										</xsl:for-each>
									</xsl:if>
								</tr>
							</xsl:for-each>
						</table>
					</xsl:if>
				</xsl:for-each>
				<!-- Triggers -->
				<xsl:for-each select="Triggers">
					<xsl:if test="@Count > 0">
						<br/>
						<table width="100%" cellpadding="2" cellspacing="0">
							<tr>
								<td class="h5b" width="95%">
									<xsl:value-of select="@Name"/>
								</td>
								<td width="5%" valign="top" align="right">
									<a href="#table{$TID}" class="h7">Top</a>
								</td>
							</tr>
						</table>
						<table width="100%" cellpadding="2" cellspacing="0" class="tb">
							<tr>
								<td class="ch">Name</td>
								<xsl:for-each select="Trigger">
									<xsl:if test="position() = 1">
										<xsl:for-each select="Properties">
											<xsl:if test="position() = 1">
												<xsl:for-each select="Property">
													<xsl:if test="@IncludeInBasicDisplay='Y'">
														<td class="ch" align="center">
															<xsl:value-of select="@Caption"/>
														</td>
													</xsl:if>
												</xsl:for-each>
												<xsl:if test="User_Comments">
													<xsl:for-each select="User_Comments">
														<xsl:variable name="Caption" select="@Name"/>
														<td class="ch" align="center">
															<xsl:value-of select="$Caption"/>:
														</td>
													</xsl:for-each>
												</xsl:if>
											</xsl:if>
										</xsl:for-each>
									</xsl:if>
								</xsl:for-each>
							</tr>
							<xsl:for-each select="Trigger">
								<xsl:variable name="CID" select="@ID"/>
								<xsl:variable name="NME" select="@Name"/>
								<tr>
									<td class="cd">
										<xsl:value-of select="@Name"/>
									</td>
									<xsl:for-each select="Properties">
										<xsl:for-each select="Property">
											<xsl:if test="@IncludeInBasicDisplay='Y'">
												<xsl:if test="@Type = 'Boolean'">
													<xsl:choose>
														<xsl:when test="@Value = 'Y'">
															<td class="cd" align="center">
																<img src="{$yi}" alt="Yes"></img>
															</td>
														</xsl:when>
														<xsl:when test="@Value != 'Y'">
															<td class="cd" align="center">
																<img src="{$ni}" alt="No"></img>
															</td>
														</xsl:when>
													</xsl:choose>
												</xsl:if>
												<xsl:if test="@Type != 'Boolean'">
													<td class="cd">
														<xsl:value-of select="@Value"/>&#160;
													</td>
												</xsl:if>
											</xsl:if>
										</xsl:for-each>
									</xsl:for-each>
									<xsl:if test="User_Comments">
										<xsl:for-each select="User_Comments">
											<xsl:variable name="Caption" select="@Name"/>
											<xsl:for-each select="DOD">
												<xsl:variable name="Desc" select="@D"/>
												<xsl:if test="$Desc != ''">
													<td class="cd" width="80%" valign="top">
														<xsl:value-of select="$Desc"/>
														<xsl:for-each select="VRS">
															<br/>
															<xsl:value-of select="@H"/>
															<br/>
															<table width="100%" cellpadding="2" cellspacing="0" class="tb">
																<tr>
																	<td class="ch">Value</td>
																	<td class="ch">Description</td>
																</tr>
																<xsl:for-each select="VR">
																	<tr>
																		<td class="cd">
																			<xsl:value-of select="@V"/>
																		</td>
																		<td class="cd">
																			<xsl:value-of select="@D"/>
																		</td>
																	</tr>
																</xsl:for-each>
															</table>
														</xsl:for-each>
														<xsl:for-each select="VAS">
															<br/>
															<xsl:value-of select="@H"/>
															<br/>
															<table width="100%" cellpadding="2" cellspacing="0" class="tb">
																<tr>
																	<td class="ch">Value</td>
																	<td class="ch">Description</td>
																</tr>
																<xsl:for-each select="VA">
																	<tr>
																		<td class="cd">
																			<xsl:value-of select="@V"/>
																		</td>
																		<td class="cd">
																			<xsl:value-of select="@D"/>
																		</td>
																	</tr>
																</xsl:for-each>
															</table>
														</xsl:for-each>
													</td>
												</xsl:if>
											</xsl:for-each>
										</xsl:for-each>
									</xsl:if>
								</tr>
							</xsl:for-each>
						</table>
					</xsl:if>
				</xsl:for-each>
				<br/>
				<p></p>
			</xsl:for-each>
		</xsl:if>
	</xsl:template>

	<!-- User Defined Function -->
	<xsl:template match="ROOT/UserDefinedFunctions">
		<xsl:if test="@Count > 0">
			<p></p>
			<xsl:variable name="yi" select="ancestor::ROOT/GENERAL/@YESIMAGE"/>
			<xsl:variable name="ni" select="ancestor::ROOT/GENERAL/@NOIMAGE"/>
			<table width="100%" cellpadding="2" cellspacing="0">
				<tr>
					<td class="h3b" width="100%">
						<xsl:value-of select="@Name"/>
					</td>
				</tr>
			</table>
			<br/>
			<xsl:for-each select="UserDefinedFunction">
				<xsl:variable name="TID" select="@ID"/>
				<a name="{$TID}"/>
				<table width="100%" cellpadding="2" cellspacing="0">
					<tr>
						<td class="h4b" width="95%">
							<xsl:value-of select="@Name"/>
						</td>
						<td width="5%" valign="top" align="right">
							<a href="#table{$TID}" class="h7">Top</a>
						</td>
					</tr>
				</table>
				<table width="100%" cellpadding="2" cellspacing="0" class="tb">
					<tr>
						<td class="ch" width="20%" valign="top">Name: </td>
						<td class="cd" width="80%" valign="top">
							<xsl:value-of select="@Name"/>&#160;
						</td>
					</tr>
					<tr>
						<td class="ch" width="20%" valign="top">Schema: </td>
						<td class="cd" width="80%" valign="top">
							<xsl:value-of select="@Schema"/>&#160;
						</td>
					</tr>
					<xsl:for-each select="Properties">
						<xsl:for-each select="Property">
							<xsl:variable name="tpe" select="@Type"/>
							<tr>
								<td class="ch" width="20%" valign="top">
									<xsl:value-of select="@Caption"/>
								</td>
								<td class="cd">
									<xsl:choose>
										<xsl:when test="@Type = 'Boolean'">
											<xsl:choose>
												<xsl:when test="@Value = 'Y'">
													<img src="{$yi}" alt="Yes"></img>
												</xsl:when>
												<xsl:when test="@Value != 'Y'">
													<img src="{$ni}" alt="No"></img>
												</xsl:when>
											</xsl:choose>
										</xsl:when>
										<xsl:when test="@Type != 'Boolean'">
											<xsl:value-of select="@Value"/>&#160;
										</xsl:when>
									</xsl:choose>
								</td>
							</tr>
						</xsl:for-each>
					</xsl:for-each>
					<tr>
						<td class="ch" width="20%" valign="top">Definition: </td>
						<td class="cd" width="80%" valign="top">
							<pre class="tf">
								<xsl:value-of select="@Definition"/>&#160;
							</pre>
						</td>
					</tr>
					<xsl:if test="User_Comments">
						<xsl:for-each select="User_Comments">
							<xsl:variable name="Caption" select="@Name"/>
							<xsl:for-each select="DOD">
								<xsl:variable name="Desc" select="@D"/>
								<xsl:if test="$Desc != ''">
									<tr>
										<td class="ch" width="20%" valign="top">
											<xsl:value-of select="$Caption"/>
										</td>
										<td class="cd" width="80%" valign="top">
											<xsl:value-of select="$Desc"/>
										</td>
									</tr>
								</xsl:if>
							</xsl:for-each>
						</xsl:for-each>
					</xsl:if>
				</table>
				<!-- Parameters -->
				<xsl:for-each select="Parameters">
					<xsl:if test="@Count > 0">
						<br/>
						<table width="100%" cellpadding="2" cellspacing="0">
							<tr>
								<td class="h5b" width="95%">
									<xsl:value-of select="@Name"/>
								</td>
								<td width="5%" valign="top" align="right">
									<a href="#table{$TID}" class="h7">Top</a>
								</td>
							</tr>
						</table>
						<table width="100%" cellpadding="2" cellspacing="0" class="tb">
							<tr>
								<td class="ch">Name</td>
								<xsl:for-each select="UserDefinedFunctionParameter">
									<xsl:if test="position() = 1">
										<xsl:for-each select="Properties">
											<xsl:if test="position() = 1">
												<xsl:for-each select="Property">
													<xsl:if test="@IncludeInBasicDisplay='Y'">
														<td class="ch" align="center">
															<xsl:value-of select="@Caption"/>
														</td>
													</xsl:if>
												</xsl:for-each>
												<xsl:if test="User_Comments">
													<xsl:for-each select="User_Comments">
														<xsl:variable name="Caption" select="@Name"/>
														<td class="ch" align="center">
															<xsl:value-of select="$Caption"/>:
														</td>
													</xsl:for-each>
												</xsl:if>
											</xsl:if>
										</xsl:for-each>
									</xsl:if>
								</xsl:for-each>
							</tr>
							<xsl:for-each select="UserDefinedFunctionParameter">
								<xsl:variable name="CID" select="@ID"/>
								<xsl:variable name="NME" select="@Name"/>
								<tr>
									<td class="cd">
										<xsl:value-of select="@Name"/>
									</td>
									<xsl:for-each select="Properties">
										<xsl:for-each select="Property">
											<xsl:if test="@IncludeInBasicDisplay='Y'">
												<xsl:if test="@Type = 'Boolean'">
													<xsl:choose>
														<xsl:when test="@Value = 'Y'">
															<td class="cd" align="center">
																<img src="{$yi}" alt="Yes"></img>
															</td>
														</xsl:when>
														<xsl:when test="@Value != 'Y'">
															<td class="cd" align="center">
																<img src="{$ni}" alt="No"></img>
															</td>
														</xsl:when>
													</xsl:choose>
												</xsl:if>
												<xsl:if test="@Type != 'Boolean'">
													<td class="cd">
														<xsl:value-of select="@Value"/>
														&#160;
													</td>
												</xsl:if>
											</xsl:if>
										</xsl:for-each>
									</xsl:for-each>
									<xsl:if test="User_Comments">
										<xsl:for-each select="User_Comments">
											<xsl:variable name="Caption" select="@Name"/>
											<xsl:for-each select="DOD">
												<xsl:variable name="Desc" select="@D"/>
												<xsl:if test="$Desc != ''">
													<td class="cd" width="80%" valign="top">
														<xsl:value-of select="$Desc"/>
														<xsl:for-each select="VRS">
															<br/>
															<xsl:value-of select="@H"/>
															<br/>
															<table width="100%" cellpadding="2" cellspacing="0" class="tb">
																<tr>
																	<td class="ch">Value</td>
																	<td class="ch">Description</td>
																</tr>
																<xsl:for-each select="VR">
																	<tr>
																		<td class="cd">
																			<xsl:value-of select="@V"/>
																		</td>
																		<td class="cd">
																			<xsl:value-of select="@D"/>
																		</td>
																	</tr>
																</xsl:for-each>
															</table>
														</xsl:for-each>
														<xsl:for-each select="VAS">
															<br/>
															<xsl:value-of select="@H"/>
															<br/>
															<table width="100%" cellpadding="2" cellspacing="0" class="tb">
																<tr>
																	<td class="ch">Value</td>
																	<td class="ch">Description</td>
																</tr>
																<xsl:for-each select="VA">
																	<tr>
																		<td class="cd">
																			<xsl:value-of select="@V"/>
																		</td>
																		<td class="cd">
																			<xsl:value-of select="@D"/>
																		</td>
																	</tr>
																</xsl:for-each>
															</table>
														</xsl:for-each>
													</td>
												</xsl:if>
											</xsl:for-each>
										</xsl:for-each>
									</xsl:if>
								</tr>
							</xsl:for-each>
						</table>
					</xsl:if>
				</xsl:for-each>
				<!-- Columns -->
				<xsl:for-each select="Columns">
					<xsl:if test="@Count > 0">
						<br/>
						<table width="100%" cellpadding="2" cellspacing="0">
							<tr>
								<td class="h5b" width="95%">
									<xsl:value-of select="@Name"/>
								</td>
								<td width="5%" valign="top" align="right">
									<a href="#table{$TID}" class="h7">Top</a>
								</td>
							</tr>
						</table>
						<table width="100%" cellpadding="2" cellspacing="0" class="tb">
							<tr>
								<td class="ch">Name</td>
								<xsl:for-each select="Column">
									<xsl:if test="position() = 1">
										<xsl:for-each select="Properties">
											<xsl:if test="position() = 1">
												<xsl:for-each select="Property">
													<xsl:if test="@IncludeInBasicDisplay='Y'">
														<td class="ch" align="center">
															<xsl:value-of select="@Caption"/>
														</td>
													</xsl:if>
												</xsl:for-each>
												<xsl:if test="User_Comments">
													<xsl:for-each select="User_Comments">
														<xsl:variable name="Caption" select="@Name"/>
														<td class="ch" align="center">
															<xsl:value-of select="$Caption"/>:
														</td>
													</xsl:for-each>
												</xsl:if>
											</xsl:if>
										</xsl:for-each>
									</xsl:if>
								</xsl:for-each>
							</tr>
							<xsl:for-each select="Column">
								<xsl:variable name="CID" select="@ID"/>
								<xsl:variable name="NME" select="@Name"/>
								<tr>
									<td class="cd">
										<xsl:value-of select="@Name"/>
									</td>
									<xsl:for-each select="Properties">
										<xsl:for-each select="Property">
											<xsl:if test="@IncludeInBasicDisplay='Y'">
												<xsl:if test="@Type = 'Boolean'">
													<xsl:choose>
														<xsl:when test="@Value = 'Y'">
															<td class="cd" align="center">
																<img src="{$yi}" alt="Yes"></img>
															</td>
														</xsl:when>
														<xsl:when test="@Value != 'Y'">
															<td class="cd" align="center">
																<img src="{$ni}" alt="No"></img>
															</td>
														</xsl:when>
													</xsl:choose>
												</xsl:if>
												<xsl:if test="@Type != 'Boolean'">
													<td class="cd">
														<xsl:value-of select="@Value"/>&#160;
													</td>
												</xsl:if>
											</xsl:if>
										</xsl:for-each>
									</xsl:for-each>
									<xsl:if test="User_Comments">
										<xsl:for-each select="User_Comments">
											<xsl:variable name="Caption" select="@Name"/>
											<xsl:for-each select="DOD">
												<xsl:variable name="Desc" select="@D"/>
												<xsl:if test="$Desc != ''">
													<td class="cd" width="80%" valign="top">
														<xsl:value-of select="$Desc"/>
														<xsl:for-each select="VRS">
															<br/>
															<xsl:value-of select="@H"/>
															<br/>
															<table width="100%" cellpadding="2" cellspacing="0" class="tb">
																<tr>
																	<td class="ch">Value</td>
																	<td class="ch">Description</td>
																</tr>
																<xsl:for-each select="VR">
																	<tr>
																		<td class="cd">
																			<xsl:value-of select="@V"/>
																		</td>
																		<td class="cd">
																			<xsl:value-of select="@D"/>
																		</td>
																	</tr>
																</xsl:for-each>
															</table>
														</xsl:for-each>
														<xsl:for-each select="VAS">
															<br/>
															<xsl:value-of select="@H"/>
															<br/>
															<table width="100%" cellpadding="2" cellspacing="0" class="tb">
																<tr>
																	<td class="ch">Value</td>
																	<td class="ch">Description</td>
																</tr>
																<xsl:for-each select="VA">
																	<tr>
																		<td class="cd">
																			<xsl:value-of select="@V"/>
																		</td>
																		<td class="cd">
																			<xsl:value-of select="@D"/>
																		</td>
																	</tr>
																</xsl:for-each>
															</table>
														</xsl:for-each>
													</td>
												</xsl:if>
											</xsl:for-each>
										</xsl:for-each>
									</xsl:if>
								</tr>
							</xsl:for-each>
						</table>
					</xsl:if>
				</xsl:for-each>
				<br/>

				<p></p>
			</xsl:for-each>
		</xsl:if>
	</xsl:template>

	<!-- User Defined Data Types -->
	<xsl:template match="ROOT/UserDefinedDataTypes">
		<xsl:if test="@Count > 0">
			<p></p>
			<xsl:variable name="yi" select="ancestor::ROOT/GENERAL/@YESIMAGE"/>
			<xsl:variable name="ni" select="ancestor::ROOT/GENERAL/@NOIMAGE"/>
			<table width="100%" cellpadding="2" cellspacing="0">
				<tr>
					<td class="h3b" width="100%">
						<xsl:value-of select="@Name"/>
					</td>
				</tr>
			</table>
			<br/>
			<xsl:for-each select="UserDefinedDataType">
				<xsl:variable name="TID" select="@ID"/>
				<a name="{$TID}"/>
				<table width="100%" cellpadding="2" cellspacing="0">
					<tr>
						<td class="h4b" width="95%">
							<xsl:value-of select="@Name"/>
						</td>
						<td width="5%" valign="top" align="right">
							<a href="#table{$TID}" class="h7">Top</a>
						</td>
					</tr>
				</table>
				<table width="100%" cellpadding="2" cellspacing="0" class="tb">
					<tr>
						<td class="ch" width="20%" valign="top">Name: </td>
						<td class="cd" width="80%" valign="top">
							<xsl:value-of select="@Name"/>&#160;
						</td>
					</tr>


					<tr>
						<td class="ch" width="20%" valign="top">Schema: </td>
						<td class="cd" width="80%" valign="top">
							<xsl:value-of select="@Schema"/>&#160;
						</td>
					</tr>
					<xsl:for-each select="Properties">
						<xsl:for-each select="Property">
							<xsl:variable name="tpe" select="@Type"/>
							<tr>
								<td class="ch" width="20%" valign="top">
									<xsl:value-of select="@Caption"/>
								</td>
								<td class="cd">
									<xsl:choose>
										<xsl:when test="@Type = 'Boolean'">
											<xsl:choose>
												<xsl:when test="@Value = 'Y'">
													<img src="{$yi}" alt="Yes"></img>
												</xsl:when>
												<xsl:when test="@Value != 'Y'">
													<img src="{$ni}" alt="No"></img>
												</xsl:when>
											</xsl:choose>
										</xsl:when>
										<xsl:when test="@Type != 'Boolean'">
											<xsl:value-of select="@Value"/>&#160;
										</xsl:when>
									</xsl:choose>
								</td>
							</tr>
						</xsl:for-each>
					</xsl:for-each>
					<xsl:if test="User_Comments">
						<xsl:for-each select="User_Comments">
							<xsl:variable name="Caption" select="@Name"/>
							<xsl:for-each select="DOD">
								<xsl:variable name="Desc" select="@D"/>
								<xsl:if test="$Desc != ''">
									<tr>
										<td class="ch" width="20%" valign="top">
											<xsl:value-of select="$Caption"/>
										</td>
										<td class="cd" width="80%" valign="top">
											<xsl:value-of select="$Desc"/>
										</td>
									</tr>
								</xsl:if>
							</xsl:for-each>
						</xsl:for-each>
					</xsl:if>
				</table>
				<!-- Columns -->
				<xsl:for-each select="Columns">
					<xsl:if test="@Count > 0">
						<br/>
						<table width="100%" cellpadding="2" cellspacing="0">
							<tr>
								<td class="h5b" width="95%">
									<xsl:value-of select="@Name"/>
								</td>
								<td width="5%" valign="top" align="right">
									<a href="#table{$TID}" class="h7">Top</a>
								</td>
							</tr>
						</table>
						<table width="100%" cellpadding="2" cellspacing="0" class="tb">
							<tr>
								<td class="ch">Name</td>
								<xsl:for-each select="Column">
									<xsl:if test="position() = 1">
										<xsl:for-each select="Properties">
											<xsl:if test="position() = 1">
												<xsl:for-each select="Property">
													<xsl:if test="@IncludeInBasicDisplay='Y'">
														<td class="ch" align="center">
															<xsl:value-of select="@Caption"/>
														</td>
													</xsl:if>
												</xsl:for-each>
											</xsl:if>
										</xsl:for-each>
									</xsl:if>
								</xsl:for-each>
							</tr>
							<xsl:for-each select="Column">
								<xsl:variable name="CID" select="@ID"/>
								<xsl:variable name="NME" select="@Name"/>
								<tr>
									<td class="cd">
										<xsl:value-of select="@Name"/>
									</td>
									<xsl:for-each select="Properties">
										<xsl:for-each select="Property">
											<xsl:if test="@IncludeInBasicDisplay='Y'">
												<xsl:if test="@Type = 'Boolean'">
													<xsl:choose>
														<xsl:when test="@Value = 'Y'">
															<td class="cd" align="center">
																<img src="{$yi}" alt="Yes"></img>
															</td>
														</xsl:when>
														<xsl:when test="@Value != 'Y'">
															<td class="cd" align="center">
																<img src="{$ni}" alt="No"></img>
															</td>
														</xsl:when>
													</xsl:choose>
												</xsl:if>
												<xsl:if test="@Type != 'Boolean'">
													<td class="cd">
														<xsl:value-of select="@Value"/>&#160;
													</td>
												</xsl:if>
											</xsl:if>
										</xsl:for-each>
									</xsl:for-each>
								</tr>
							</xsl:for-each>
						</table>
					</xsl:if>
				</xsl:for-each>
				<br/>

				<p></p>
			</xsl:for-each>
		</xsl:if>
	</xsl:template>

	<!-- Defaults -->
	<xsl:template match="ROOT/Defaults">
		<xsl:if test="@Count > 0">
			<p></p>
			<xsl:variable name="yi" select="ancestor::ROOT/GENERAL/@YESIMAGE"/>
			<xsl:variable name="ni" select="ancestor::ROOT/GENERAL/@NOIMAGE"/>
			<table width="100%" cellpadding="2" cellspacing="0">
				<tr>
					<td class="h3b" width="100%">
						<xsl:value-of select="@Name"/>
					</td>
				</tr>
			</table>
			<br/>
			<xsl:for-each select="Default">
				<xsl:variable name="TID" select="@ID"/>
				<a name="{$TID}"/>
				<table width="100%" cellpadding="2" cellspacing="0">
					<tr>
						<td class="h4b" width="95%">
							<xsl:value-of select="@Name"/>
						</td>
						<td width="5%" valign="top" align="right">
							<a href="#table{$TID}" class="h7">Top</a>
						</td>
					</tr>
				</table>
				<table width="100%" cellpadding="2" cellspacing="0" class="tb">
					<tr>
						<td class="ch" width="20%" valign="top">Name: </td>
						<td class="cd" width="80%" valign="top">
							<xsl:value-of select="@Name"/>&#160;
						</td>
					</tr>
					<tr>
						<td class="ch" width="20%" valign="top">Schema: </td>
						<td class="cd" width="80%" valign="top">
							<xsl:value-of select="@Schema"/>&#160;
						</td>
					</tr>
					<xsl:for-each select="Properties">
						<xsl:for-each select="Property">
							<xsl:variable name="tpe" select="@Type"/>
							<tr>
								<td class="ch" width="20%" valign="top">
									<xsl:value-of select="@Caption"/>
								</td>
								<td class="cd">
									<xsl:choose>
										<xsl:when test="@Type = 'Boolean'">
											<xsl:choose>
												<xsl:when test="@Value = 'Y'">
													<img src="{$yi}" alt="Yes"></img>
												</xsl:when>
												<xsl:when test="@Value != 'Y'">
													<img src="{$ni}" alt="No"></img>
												</xsl:when>
											</xsl:choose>
										</xsl:when>
										<xsl:when test="@Type != 'Boolean'">
											<xsl:value-of select="@Value"/>&#160;
										</xsl:when>
									</xsl:choose>
								</td>
							</tr>
						</xsl:for-each>
					</xsl:for-each>
					<tr>
						<td class="ch" width="20%" valign="top">Definition: </td>
						<td class="cd" width="80%" valign="top">
							<pre class="tf">
								<xsl:value-of select="@Definition"/>&#160;
							</pre>
						</td>
					</tr>
					<xsl:if test="User_Comments">
						<xsl:for-each select="User_Comments">
							<xsl:variable name="Caption" select="@Name"/>
							<xsl:for-each select="DOD">
								<xsl:variable name="Desc" select="@D"/>
								<xsl:if test="$Desc != ''">
									<tr>
										<td class="ch" width="20%" valign="top">
											<xsl:value-of select="$Caption"/>
										</td>
										<td class="cd" width="80%" valign="top">
											<xsl:value-of select="$Desc"/>
										</td>
									</tr>
								</xsl:if>
							</xsl:for-each>
						</xsl:for-each>
					</xsl:if>
				</table>
				<!-- Columns -->
				<xsl:for-each select="Columns">
					<xsl:if test="@Count > 0">
						<br/>
						<table width="100%" cellpadding="2" cellspacing="0">
							<tr>
								<td class="h5b" width="95%">
									<xsl:value-of select="@Name"/>
								</td>
								<td width="5%" valign="top" align="right">
									<a href="#table{$TID}" class="h7">Top</a>
								</td>
							</tr>
						</table>
						<table width="100%" cellpadding="2" cellspacing="0" class="tb">
							<tr>
								<td class="ch">Name</td>
								<xsl:for-each select="Column">
									<xsl:if test="position() = 1">
										<xsl:for-each select="Properties">
											<xsl:if test="position() = 1">
												<xsl:for-each select="Property">
													<xsl:if test="@IncludeInBasicDisplay='Y'">
														<td class="ch" align="center">
															<xsl:value-of select="@Caption"/>
														</td>
													</xsl:if>
												</xsl:for-each>
											</xsl:if>
										</xsl:for-each>
									</xsl:if>
								</xsl:for-each>
							</tr>
							<xsl:for-each select="Column">
								<xsl:variable name="CID" select="@ID"/>
								<xsl:variable name="NME" select="@Name"/>
								<tr>
									<td class="cd">
										<xsl:value-of select="@Name"/>
									</td>
									<xsl:for-each select="Properties">
										<xsl:for-each select="Property">
											<xsl:if test="@IncludeInBasicDisplay='Y'">
												<xsl:if test="@Type = 'Boolean'">
													<xsl:choose>
														<xsl:when test="@Value = 'Y'">
															<td class="cd" align="center">
																<img src="{$yi}" alt="Yes"></img>
															</td>
														</xsl:when>
														<xsl:when test="@Value != 'Y'">
															<td class="cd" align="center">
																<img src="{$ni}" alt="No"></img>
															</td>
														</xsl:when>
													</xsl:choose>
												</xsl:if>
												<xsl:if test="@Type != 'Boolean'">
													<td class="cd">
														<xsl:value-of select="@Value"/>&#160;
													</td>
												</xsl:if>
											</xsl:if>
										</xsl:for-each>
									</xsl:for-each>
								</tr>
							</xsl:for-each>
						</table>
					</xsl:if>
				</xsl:for-each>
				<!-- UDDTS -->
				<xsl:for-each select="UserDefinedDataTypes">
					<xsl:if test="@Count > 0">
						<br/>
						<table width="100%" cellpadding="2" cellspacing="0">
							<tr>
								<td class="h5b" width="95%">
									<xsl:value-of select="@Name"/>
								</td>
								<td width="5%" valign="top" align="right">
									<a href="#table{$TID}" class="h7">Top</a>
								</td>
							</tr>
						</table>
						<table width="100%" cellpadding="2" cellspacing="0" class="tb">
							<tr>
								<td class="ch">Name</td>
								<xsl:for-each select="Column">
									<xsl:if test="position() = 1">
										<xsl:for-each select="Properties">
											<xsl:if test="position() = 1">
												<xsl:for-each select="Property">
													<xsl:if test="@IncludeInBasicDisplay='Y'">
														<td class="ch" align="center">
															<xsl:value-of select="@Caption"/>
														</td>
													</xsl:if>
												</xsl:for-each>
											</xsl:if>
										</xsl:for-each>
									</xsl:if>
								</xsl:for-each>
							</tr>
							<xsl:for-each select="UserDefinedDataType">
								<xsl:variable name="CID" select="@ID"/>
								<xsl:variable name="NME" select="@Name"/>
								<tr>
									<td class="cd">
										<xsl:value-of select="@Name"/>
									</td>
									<xsl:for-each select="Properties">
										<xsl:for-each select="Property">
											<xsl:if test="@IncludeInBasicDisplay='Y'">
												<xsl:if test="@Type = 'Boolean'">
													<xsl:choose>
														<xsl:when test="@Value = 'Y'">
															<td class="cd" align="center">
																<img src="{$yi}" alt="Yes"></img>
															</td>
														</xsl:when>
														<xsl:when test="@Value != 'Y'">
															<td class="cd" align="center">
																<img src="{$ni}" alt="No"></img>
															</td>
														</xsl:when>
													</xsl:choose>
												</xsl:if>
												<xsl:if test="@Type != 'Boolean'">
													<td class="cd">
														<xsl:value-of select="@Value"/>&#160;
													</td>
												</xsl:if>
											</xsl:if>
										</xsl:for-each>
									</xsl:for-each>
								</tr>
							</xsl:for-each>
						</table>
					</xsl:if>
				</xsl:for-each>

				<p></p>
			</xsl:for-each>
		</xsl:if>
	</xsl:template>

	<!-- Rules -->
	<xsl:template match="ROOT/Rules">
		<xsl:if test="@Count > 0">
			<p></p>
			<xsl:variable name="yi" select="ancestor::ROOT/GENERAL/@YESIMAGE"/>
			<xsl:variable name="ni" select="ancestor::ROOT/GENERAL/@NOIMAGE"/>
			<table width="100%" cellpadding="2" cellspacing="0">
				<tr>
					<td class="h3b" width="100%">
						<xsl:value-of select="@Name"/>
					</td>
				</tr>
			</table>
			<br/>
			<xsl:for-each select="Rule">
				<xsl:variable name="TID" select="@ID"/>
				<a name="{$TID}"/>
				<table width="100%" cellpadding="2" cellspacing="0">
					<tr>
						<td class="h4b" width="95%">
							<xsl:value-of select="@Name"/>
						</td>
						<td width="5%" valign="top" align="right">
							<a href="#table{$TID}" class="h7">Top</a>
						</td>
					</tr>
				</table>
				<table width="100%" cellpadding="2" cellspacing="0" class="tb">
					<tr>
						<td class="ch" width="20%" valign="top">Name: </td>
						<td class="cd" width="80%" valign="top">
							<xsl:value-of select="@Name"/>&#160;
						</td>
					</tr>
					<tr>
						<td class="ch" width="20%" valign="top">Schema: </td>
						<td class="cd" width="80%" valign="top">
							<xsl:value-of select="@Schema"/>&#160;
						</td>
					</tr>
					<tr>
						<td class="ch" width="20%" valign="top">Definition: </td>
						<td class="cd" width="80%" valign="top">
							<xsl:value-of select="@Definition"/>&#160;
						</td>
					</tr>
					<xsl:for-each select="Properties">
						<xsl:for-each select="Property">
							<xsl:variable name="tpe" select="@Type"/>
							<tr>
								<td class="ch" width="20%" valign="top">
									<xsl:value-of select="@Caption"/>
								</td>
								<td class="cd">
									<xsl:choose>
										<xsl:when test="@Type = 'Boolean'">
											<xsl:choose>
												<xsl:when test="@Value = 'Y'">
													<img src="{$yi}" alt="Yes"></img>
												</xsl:when>
												<xsl:when test="@Value != 'Y'">
													<img src="{$ni}" alt="No"></img>
												</xsl:when>
											</xsl:choose>
										</xsl:when>
										<xsl:when test="@Type != 'Boolean'">
											<xsl:value-of select="@Value"/>&#160;
										</xsl:when>
									</xsl:choose>
								</td>
							</tr>
						</xsl:for-each>
					</xsl:for-each>
					<xsl:if test="User_Comments">
						<xsl:for-each select="User_Comments">
							<xsl:variable name="Caption" select="@Name"/>
							<xsl:for-each select="DOD">
								<xsl:variable name="Desc" select="@D"/>
								<xsl:if test="$Desc != ''">
									<tr>
										<td class="ch" width="20%" valign="top">
											<xsl:value-of select="$Caption"/>
										</td>
										<td class="cd" width="80%" valign="top">
											<xsl:value-of select="$Desc"/>
										</td>
									</tr>
								</xsl:if>
							</xsl:for-each>
						</xsl:for-each>
					</xsl:if>
				</table>
				<!-- Columns -->
				<xsl:for-each select="Columns">
					<xsl:if test="@Count > 0">
						<br/>
						<table width="100%" cellpadding="2" cellspacing="0">
							<tr>
								<td class="h5b" width="95%">
									<xsl:value-of select="@Name"/>
								</td>
								<td width="5%" valign="top" align="right">
									<a href="#table{$TID}" class="h7">Top</a>
								</td>
							</tr>
						</table>
						<table width="100%" cellpadding="2" cellspacing="0" class="tb">
							<tr>
								<td class="ch">Name</td>
								<xsl:for-each select="Column">
									<xsl:if test="position() = 1">
										<xsl:for-each select="Properties">
											<xsl:if test="position() = 1">
												<xsl:for-each select="Property">
													<xsl:if test="@IncludeInBasicDisplay='Y'">
														<td class="ch" align="center">
															<xsl:value-of select="@Caption"/>
														</td>
													</xsl:if>
												</xsl:for-each>
											</xsl:if>
										</xsl:for-each>
									</xsl:if>
								</xsl:for-each>
							</tr>
							<xsl:for-each select="Column">
								<xsl:variable name="CID" select="@ID"/>
								<xsl:variable name="NME" select="@Name"/>
								<tr>
									<td class="cd">
										<xsl:value-of select="@Name"/>
									</td>
									<xsl:for-each select="Properties">
										<xsl:for-each select="Property">
											<xsl:if test="@IncludeInBasicDisplay='Y'">
												<xsl:if test="@Type = 'Boolean'">
													<xsl:choose>
														<xsl:when test="@Value = 'Y'">
															<td class="cd" align="center">
																<img src="{$yi}" alt="Yes"></img>
															</td>
														</xsl:when>
														<xsl:when test="@Value != 'Y'">
															<td class="cd" align="center">
																<img src="{$ni}" alt="No"></img>
															</td>
														</xsl:when>
													</xsl:choose>
												</xsl:if>
												<xsl:if test="@Type != 'Boolean'">
													<td class="cd">
														<xsl:value-of select="@Value"/>&#160;
													</td>
												</xsl:if>
											</xsl:if>
										</xsl:for-each>
									</xsl:for-each>
								</tr>
							</xsl:for-each>
						</table>
					</xsl:if>
				</xsl:for-each>
				<!-- UDDTS -->
				<xsl:for-each select="UserDefinedDataTypes">
					<xsl:if test="@Count > 0">
						<br/>
						<table width="100%" cellpadding="2" cellspacing="0">
							<tr>
								<td class="h5b" width="95%">
									<xsl:value-of select="@Name"/>
								</td>
								<td width="5%" valign="top" align="right">
									<a href="#table{$TID}" class="h7">Top</a>
								</td>
							</tr>
						</table>
						<table width="100%" cellpadding="2" cellspacing="0" class="tb">
							<tr>
								<td class="ch">Name</td>
								<xsl:for-each select="Column">
									<xsl:if test="position() = 1">
										<xsl:for-each select="Properties">
											<xsl:if test="position() = 1">
												<xsl:for-each select="Property">
													<xsl:if test="@IncludeInBasicDisplay='Y'">
														<td class="ch" align="center">
															<xsl:value-of select="@Caption"/>
														</td>
													</xsl:if>
												</xsl:for-each>
											</xsl:if>
										</xsl:for-each>
									</xsl:if>
								</xsl:for-each>
							</tr>
							<xsl:for-each select="UserDefinedDataType">
								<xsl:variable name="CID" select="@ID"/>
								<xsl:variable name="NME" select="@Name"/>
								<tr>
									<td class="cd">
										<xsl:value-of select="@Name"/>
									</td>
									<xsl:for-each select="Properties">
										<xsl:for-each select="Property">
											<xsl:if test="@IncludeInBasicDisplay='Y'">
												<xsl:if test="@Type = 'Boolean'">
													<xsl:choose>
														<xsl:when test="@Value = 'Y'">
															<td class="cd" align="center">
																<img src="{$yi}" alt="Yes"></img>
															</td>
														</xsl:when>
														<xsl:when test="@Value != 'Y'">
															<td class="cd" align="center">
																<img src="{$ni}" alt="No"></img>
															</td>
														</xsl:when>
													</xsl:choose>
												</xsl:if>
												<xsl:if test="@Type != 'Boolean'">
													<td class="cd">
														<xsl:value-of select="@Value"/>&#160;
													</td>
												</xsl:if>
											</xsl:if>
										</xsl:for-each>
									</xsl:for-each>
								</tr>
							</xsl:for-each>
						</table>
					</xsl:if>
				</xsl:for-each>

				<p></p>
			</xsl:for-each>
		</xsl:if>
	</xsl:template>

	<!-- Users -->
	<xsl:template match="ROOT/Users">
		<xsl:if test="@Count > 0">
			<p></p>
			<xsl:variable name="yi" select="ancestor::ROOT/GENERAL/@YESIMAGE"/>
			<xsl:variable name="ni" select="ancestor::ROOT/GENERAL/@NOIMAGE"/>
			<table width="100%" cellpadding="2" cellspacing="0">
				<tr>
					<td class="h3b" width="100%">
						<xsl:value-of select="@Name"/>
					</td>
				</tr>
			</table>
			<br/>
			<xsl:for-each select="User">
				<xsl:variable name="TID" select="@ID"/>
				<a name="{$TID}"/>
				<table width="100%" cellpadding="2" cellspacing="0">
					<tr>
						<td class="h4b" width="95%">
							<xsl:value-of select="@Name"/>
						</td>
						<td width="5%" valign="top" align="right">
							<a href="#table{$TID}" class="h7">Top</a>
						</td>
					</tr>
				</table>
				<table width="100%" cellpadding="2" cellspacing="0" class="tb">
					<tr>
						<td class="ch" width="20%" valign="top">Name: </td>
						<td class="cd" width="80%" valign="top">
							<xsl:value-of select="@Name"/>&#160;
						</td>
					</tr>
					<xsl:for-each select="Properties">
						<xsl:for-each select="Property">
							<xsl:variable name="tpe" select="@Type"/>
							<tr>
								<td class="ch" width="20%" valign="top">
									<xsl:value-of select="@Caption"/>
								</td>
								<td class="cd">
									<xsl:choose>
										<xsl:when test="@Type = 'Boolean'">
											<xsl:choose>
												<xsl:when test="@Value = 'Y'">
													<img src="{$yi}" alt="Yes"></img>
												</xsl:when>
												<xsl:when test="@Value != 'Y'">
													<img src="{$ni}" alt="No"></img>
												</xsl:when>
											</xsl:choose>
										</xsl:when>
										<xsl:when test="@Type != 'Boolean'">
											<xsl:value-of select="@Value"/>&#160;
										</xsl:when>
									</xsl:choose>
								</td>
							</tr>
						</xsl:for-each>
					</xsl:for-each>
					<xsl:if test="User_Comments">
						<xsl:for-each select="User_Comments">
							<xsl:variable name="Caption" select="@Name"/>
							<xsl:for-each select="DOD">
								<xsl:variable name="Desc" select="@D"/>
								<xsl:if test="$Desc != ''">
									<tr>
										<td class="ch" width="20%" valign="top">
											<xsl:value-of select="$Caption"/>
										</td>
										<td class="cd" width="80%" valign="top">
											<xsl:value-of select="$Desc"/>
										</td>
									</tr>
								</xsl:if>
							</xsl:for-each>
						</xsl:for-each>
					</xsl:if>
				</table>
				<!-- Roles -->
				<xsl:for-each select="Roles">
					<xsl:if test="@Count > 0">
						<br/>
						<table width="100%" cellpadding="2" cellspacing="0">
							<tr>
								<td class="h5b" width="95%">
									<xsl:value-of select="@Name"/>
								</td>
								<td width="5%" valign="top" align="right">
									<a href="#table{$TID}" class="h7">Top</a>
								</td>
							</tr>
						</table>
						<table width="100%" cellpadding="2" cellspacing="0" class="tb">
							<tr>
								<td class="ch">Name</td>
							</tr>
							<xsl:for-each select="Role">
								<xsl:variable name="CID" select="@ID"/>
								<xsl:variable name="NME" select="@Name"/>
								<tr>
									<td class="cd">
										<xsl:value-of select="@Name"/>
									</td>
								</tr>
							</xsl:for-each>
						</table>
					</xsl:if>
				</xsl:for-each>
				<!-- Schemas -->
				<xsl:for-each select="OwnedSchemas">
					<xsl:if test="@Count > 0">
						<br/>
						<table width="100%" cellpadding="2" cellspacing="0">
							<tr>
								<td class="h5b" width="95%">
									<xsl:value-of select="@Name"/>
								</td>
								<td width="5%" valign="top" align="right">
									<a href="#table{$TID}" class="h7">Top</a>
								</td>
							</tr>
						</table>
						<table width="100%" cellpadding="2" cellspacing="0" class="tb">
							<tr>
								<td class="ch">Name</td>
							</tr>
							<xsl:for-each select="Schema">
								<xsl:variable name="CID" select="@ID"/>
								<xsl:variable name="NME" select="@Name"/>
								<tr>
									<td class="cd">
										<xsl:value-of select="@Name"/>
									</td>
								</tr>
							</xsl:for-each>
						</table>
					</xsl:if>
				</xsl:for-each>
				<p></p>
			</xsl:for-each>
		</xsl:if>
	</xsl:template>

	<!-- Roles -->
	<xsl:template match="ROOT/Roles">
		<xsl:if test="@Count > 0">
			<p></p>
			<xsl:variable name="yi" select="ancestor::ROOT/GENERAL/@YESIMAGE"/>
			<xsl:variable name="ni" select="ancestor::ROOT/GENERAL/@NOIMAGE"/>
			<table width="100%" cellpadding="2" cellspacing="0">
				<tr>
					<td class="h3b" width="100%">
						<xsl:value-of select="@Name"/>
					</td>
				</tr>
			</table>
			<br/>
			<xsl:for-each select="Role">
				<xsl:variable name="TID" select="@ID"/>
				<a name="{$TID}"/>
				<table width="100%" cellpadding="2" cellspacing="0">
					<tr>
						<td class="h4b" width="95%">
							<xsl:value-of select="@Name"/>
						</td>
						<td width="5%" valign="top" align="right">
							<a href="#table{$TID}" class="h7">Top</a>
						</td>
					</tr>
				</table>
				<table width="100%" cellpadding="2" cellspacing="0" class="tb">
					<tr>
						<td class="ch" width="20%" valign="top">Name: </td>
						<td class="cd" width="80%" valign="top">
							<xsl:value-of select="@Name"/>&#160;
						</td>
					</tr>
					<xsl:for-each select="Properties">
						<xsl:for-each select="Property">
							<xsl:variable name="tpe" select="@Type"/>
							<tr>
								<td class="ch" width="20%" valign="top">
									<xsl:value-of select="@Caption"/>
								</td>
								<td class="cd">
									<xsl:choose>
										<xsl:when test="@Type = 'Boolean'">
											<xsl:choose>
												<xsl:when test="@Value = 'Y'">
													<img src="{$yi}" alt="Yes"></img>
												</xsl:when>
												<xsl:when test="@Value != 'Y'">
													<img src="{$ni}" alt="No"></img>
												</xsl:when>
											</xsl:choose>
										</xsl:when>
										<xsl:when test="@Type != 'Boolean'">
											<xsl:value-of select="@Value"/>&#160;
										</xsl:when>
									</xsl:choose>
								</td>
							</tr>
						</xsl:for-each>
					</xsl:for-each>
					<xsl:if test="User_Comments">
						<xsl:for-each select="User_Comments">
							<xsl:variable name="Caption" select="@Name"/>
							<xsl:for-each select="DOD">
								<xsl:variable name="Desc" select="@D"/>
								<xsl:if test="$Desc != ''">
									<tr>
										<td class="ch" width="20%" valign="top">
											<xsl:value-of select="$Caption"/>
										</td>
										<td class="cd" width="80%" valign="top">
											<xsl:value-of select="$Desc"/>
										</td>
									</tr>
								</xsl:if>
							</xsl:for-each>
						</xsl:for-each>
					</xsl:if>
				</table>
				<!-- Users -->
				<xsl:for-each select="Users">
					<xsl:if test="@Count > 0">
						<br/>
						<table width="100%" cellpadding="2" cellspacing="0">
							<tr>
								<td class="h5b" width="95%">
									<xsl:value-of select="@Name"/>
								</td>
								<td width="5%" valign="top" align="right">
									<a href="#table{$TID}" class="h7">Top</a>
								</td>
							</tr>
						</table>
						<table width="100%" cellpadding="2" cellspacing="0" class="tb">
							<tr>
								<td class="ch">Name</td>
								<td class="ch">Type</td>
							</tr>
							<xsl:for-each select="User">
								<xsl:variable name="CID" select="@ID"/>
								<xsl:variable name="NME" select="@Name"/>
								<tr>
									<td class="cd">
										<xsl:value-of select="@Name"/>
									</td>
									<td class="cd">
										User
									</td>
								</tr>
							</xsl:for-each>
							<xsl:for-each select="Role">
								<xsl:variable name="CID" select="@ID"/>
								<xsl:variable name="NME" select="@Name"/>
								<tr>
									<td class="cd">
										<xsl:value-of select="@Name"/>
									</td>
									<td class="cd">
										Role
									</td>
								</tr>
							</xsl:for-each>
						</table>
					</xsl:if>
				</xsl:for-each>
				<!-- Schemas -->
				<xsl:for-each select="OwnedSchemas">
					<xsl:if test="@Count > 0">
						<br/>
						<table width="100%" cellpadding="2" cellspacing="0">
							<tr>
								<td class="h5b" width="95%">
									<xsl:value-of select="@Name"/>
								</td>
								<td width="5%" valign="top" align="right">
									<a href="#table{$TID}" class="h7">Top</a>
								</td>
							</tr>
						</table>
						<table width="100%" cellpadding="2" cellspacing="0" class="tb">
							<tr>
								<td class="ch">Name</td>
							</tr>
							<xsl:for-each select="Schema">
								<xsl:variable name="CID" select="@ID"/>
								<xsl:variable name="NME" select="@Name"/>
								<tr>
									<td class="cd">
										<xsl:value-of select="@Name"/>
									</td>
								</tr>
							</xsl:for-each>
						</table>
					</xsl:if>
				</xsl:for-each>
				<p></p>
			</xsl:for-each>
		</xsl:if>
	</xsl:template>

	<!-- Schemas -->
	<xsl:template match="ROOT/Schemas">
		<xsl:if test="@Count > 0">
			<p></p>
			<xsl:variable name="yi" select="ancestor::ROOT/GENERAL/@YESIMAGE"/>
			<xsl:variable name="ni" select="ancestor::ROOT/GENERAL/@NOIMAGE"/>
			<table width="100%" cellpadding="2" cellspacing="0">
				<tr>
					<td class="h3b" width="100%">
						<xsl:value-of select="@Name"/>
					</td>
				</tr>
			</table>
			<br/>
			<xsl:for-each select="Schema">
				<xsl:variable name="TID" select="@ID"/>
				<a name="{$TID}"/>
				<table width="100%" cellpadding="2" cellspacing="0">
					<tr>
						<td class="h4b" width="95%">
							<xsl:value-of select="@Name"/>
						</td>
						<td width="5%" valign="top" align="right">
							<a href="#table{$TID}" class="h7">Top</a>
						</td>
					</tr>
				</table>
				<table width="100%" cellpadding="2" cellspacing="0" class="tb">
					<tr>
						<td class="ch" width="20%" valign="top">Name: </td>
						<td class="cd" width="80%" valign="top">
							<xsl:value-of select="@Name"/>&#160;
						</td>
					</tr>
					<xsl:for-each select="Properties">
						<xsl:for-each select="Property">
							<xsl:variable name="tpe" select="@Type"/>
							<tr>
								<td class="ch" width="20%" valign="top">
									<xsl:value-of select="@Caption"/>
								</td>
								<td class="cd">
									<xsl:choose>
										<xsl:when test="@Type = 'Boolean'">
											<xsl:choose>
												<xsl:when test="@Value = 'Y'">
													<img src="{$yi}" alt="Yes"></img>
												</xsl:when>
												<xsl:when test="@Value != 'Y'">
													<img src="{$ni}" alt="No"></img>
												</xsl:when>
											</xsl:choose>
										</xsl:when>
										<xsl:when test="@Type != 'Boolean'">
											<xsl:value-of select="@Value"/>&#160;
										</xsl:when>
									</xsl:choose>
								</td>
							</tr>
						</xsl:for-each>
					</xsl:for-each>
					<xsl:if test="User_Comments">
						<xsl:for-each select="User_Comments">
							<xsl:variable name="Caption" select="@Name"/>
							<xsl:for-each select="DOD">
								<xsl:variable name="Desc" select="@D"/>
								<xsl:if test="$Desc != ''">
									<tr>
										<td class="ch" width="20%" valign="top">
											<xsl:value-of select="$Caption"/>
										</td>
										<td class="cd" width="80%" valign="top">
											<xsl:value-of select="$Desc"/>
										</td>
									</tr>
								</xsl:if>
							</xsl:for-each>
						</xsl:for-each>
					</xsl:if>
				</table>
				<!-- Owned Objects -->
				<xsl:for-each select="SchemaOwnedObjects">
					<xsl:if test="@Count > 0">
						<br/>
						<table width="100%" cellpadding="2" cellspacing="0">
							<tr>
								<td class="h5b" width="95%">
									<xsl:value-of select="@Name"/>
								</td>
								<td width="5%" valign="top" align="right">
									<a href="#table{$TID}" class="h7">Top</a>
								</td>
							</tr>
						</table>
						<table width="100%" cellpadding="2" cellspacing="0" class="tb">
							<tr>
								<td class="ch">Type</td>
								<td class="ch">Name</td>
								<xsl:for-each select="SchemaOwnedObject">
									<xsl:if test="position() = 1">
										<xsl:for-each select="Properties">
											<xsl:if test="position() = 1">
												<xsl:for-each select="Property">
													<xsl:if test="@IncludeInBasicDisplay='Y'">
														<td class="ch" align="center">
															<xsl:value-of select="@Caption"/>
														</td>
													</xsl:if>
												</xsl:for-each>
											</xsl:if>
										</xsl:for-each>
									</xsl:if>
								</xsl:for-each>
							</tr>
							<xsl:for-each select="SchemaOwnedObject">
								<xsl:variable name="CID" select="@ID"/>
								<xsl:variable name="NME" select="@Name"/>
								<tr>
									<td class="cd">
										<xsl:value-of select="@ObjectType"/>
									</td>
									<td class="cd">
										<xsl:value-of select="@Name"/>
									</td>
									<xsl:for-each select="Properties">
										<xsl:for-each select="Property">
											<xsl:if test="@IncludeInBasicDisplay='Y'">
												<xsl:if test="@Type = 'Boolean'">
													<xsl:choose>
														<xsl:when test="@Value = 'Y'">
															<td class="cd" align="center">
																<img src="{$yi}" alt="Yes"></img>
															</td>
														</xsl:when>
														<xsl:when test="@Value != 'Y'">
															<td class="cd" align="center">
																<img src="{$ni}" alt="No"></img>
															</td>
														</xsl:when>
													</xsl:choose>
												</xsl:if>
												<xsl:if test="@Type != 'Boolean'">
													<td class="cd">
														<xsl:value-of select="@Value"/>&#160;
													</td>
												</xsl:if>
											</xsl:if>
										</xsl:for-each>
									</xsl:for-each>
								</tr>
							</xsl:for-each>
						</table>
					</xsl:if>
				</xsl:for-each>
				<p></p>
			</xsl:for-each>
		</xsl:if>
	</xsl:template>

	<!-- Synonyms -->
	<xsl:template match="ROOT/Synonyms">
		<xsl:if test="@Count > 0">
			<p></p>
			<xsl:variable name="yi" select="ancestor::ROOT/GENERAL/@YESIMAGE"/>
			<xsl:variable name="ni" select="ancestor::ROOT/GENERAL/@NOIMAGE"/>
			<table width="100%" cellpadding="2" cellspacing="0">
				<tr>
					<td class="h3b" width="100%">
						<xsl:value-of select="@Name"/>
					</td>
				</tr>
			</table>
			<br/>
			<xsl:for-each select="Synonym">
				<xsl:variable name="TID" select="@ID"/>
				<a name="{$TID}"/>
				<table width="100%" cellpadding="2" cellspacing="0">
					<tr>
						<td class="h4b" width="95%">
							<xsl:value-of select="@Name"/>
						</td>
						<td width="5%" valign="top" align="right">
							<a href="#table{$TID}" class="h7">Top</a>
						</td>
					</tr>
				</table>
				<table width="100%" cellpadding="2" cellspacing="0" class="tb">
					<tr>
						<td class="ch" width="20%" valign="top">Name: </td>
						<td class="cd" width="80%" valign="top">
							<xsl:value-of select="@Name"/>&#160;
						</td>
					</tr>
					<xsl:for-each select="Properties">
						<xsl:for-each select="Property">
							<xsl:variable name="tpe" select="@Type"/>
							<tr>
								<td class="ch" width="20%" valign="top">
									<xsl:value-of select="@Caption"/>
								</td>
								<td class="cd">
									<xsl:choose>
										<xsl:when test="@Type = 'Boolean'">
											<xsl:choose>
												<xsl:when test="@Value = 'Y'">
													<img src="{$yi}" alt="Yes"></img>
												</xsl:when>
												<xsl:when test="@Value != 'Y'">
													<img src="{$ni}" alt="No"></img>
												</xsl:when>
											</xsl:choose>
										</xsl:when>
										<xsl:when test="@Type != 'Boolean'">
											<xsl:value-of select="@Value"/>&#160;
										</xsl:when>
									</xsl:choose>
								</td>
							</tr>
						</xsl:for-each>
					</xsl:for-each>
					<xsl:if test="User_Comments">
						<xsl:for-each select="User_Comments">
							<xsl:variable name="Caption" select="@Name"/>
							<xsl:for-each select="DOD">
								<xsl:variable name="Desc" select="@D"/>
								<xsl:if test="$Desc != ''">
									<tr>
										<td class="ch" width="20%" valign="top">
											<xsl:value-of select="$Caption"/>
										</td>
										<td class="cd" width="80%" valign="top">
											<xsl:value-of select="$Desc"/>
										</td>
									</tr>
								</xsl:if>
							</xsl:for-each>
						</xsl:for-each>
					</xsl:if>
				</table>
				<p></p>
			</xsl:for-each>
		</xsl:if>
	</xsl:template>

	<!-- Database Triggers -->
	<xsl:template match="ROOT/DatabaseTriggers">
		<xsl:if test="@Count > 0">
			<p></p>
			<xsl:variable name="yi" select="ancestor::ROOT/GENERAL/@YESIMAGE"/>
			<xsl:variable name="ni" select="ancestor::ROOT/GENERAL/@NOIMAGE"/>
			<table width="100%" cellpadding="2" cellspacing="0">
				<tr>
					<td class="h3b" width="100%">
						<xsl:value-of select="@Name"/>
					</td>
				</tr>
			</table>
			<br/>
			<xsl:for-each select="DatabaseTrigger">
				<xsl:variable name="TID" select="@ID"/>
				<a name="{$TID}"/>
				<table width="100%" cellpadding="2" cellspacing="0">
					<tr>
						<td class="h4b" width="95%">
							<xsl:value-of select="@Name"/>
						</td>
						<td width="5%" valign="top" align="right">
							<a href="#table{$TID}" class="h7">Top</a>
						</td>
					</tr>
				</table>
				<table width="100%" cellpadding="2" cellspacing="0" class="tb">
					<tr>
						<td class="ch" width="20%" valign="top">Name: </td>
						<td class="cd" width="80%" valign="top">
							<xsl:value-of select="@Name"/>&#160;
						</td>
					</tr>
					<xsl:for-each select="Properties">
						<xsl:for-each select="Property">
							<xsl:variable name="tpe" select="@Type"/>
							<tr>
								<td class="ch" width="20%" valign="top">
									<xsl:value-of select="@Caption"/>
								</td>
								<td class="cd">
									<xsl:choose>
										<xsl:when test="@Type = 'Boolean'">
											<xsl:choose>
												<xsl:when test="@Value = 'Y'">
													<img src="{$yi}" alt="Yes"></img>
												</xsl:when>
												<xsl:when test="@Value != 'Y'">
													<img src="{$ni}" alt="No"></img>
												</xsl:when>
											</xsl:choose>
										</xsl:when>
										<xsl:when test="@Type != 'Boolean'">
											<xsl:value-of select="@Value"/>&#160;
										</xsl:when>
									</xsl:choose>
								</td>
							</tr>
						</xsl:for-each>
					</xsl:for-each>
					<tr>
						<td class="ch" width="20%" valign="top">Definition: </td>
						<td class="cd" width="80%" valign="top">
							<pre class="tf">
								<xsl:value-of select="@Definition"/>&#160;
							</pre>
						</td>
					</tr>
					<xsl:if test="User_Comments">
						<xsl:for-each select="User_Comments">
							<xsl:variable name="Caption" select="@Name"/>
							<xsl:for-each select="DOD">
								<xsl:variable name="Desc" select="@D"/>
								<xsl:if test="$Desc != ''">
									<tr>
										<td class="ch" width="20%" valign="top">
											<xsl:value-of select="$Caption"/>
										</td>
										<td class="cd" width="80%" valign="top">
											<xsl:value-of select="$Desc"/>
										</td>
									</tr>
								</xsl:if>
							</xsl:for-each>
						</xsl:for-each>
					</xsl:if>
				</table>
				<p></p>
			</xsl:for-each>
		</xsl:if>
	</xsl:template>

	<!-- Assemblies -->
	<xsl:template match="ROOT/Assemblies">
		<xsl:if test="@Count > 0">
			<p></p>
			<xsl:variable name="yi" select="ancestor::ROOT/GENERAL/@YESIMAGE"/>
			<xsl:variable name="ni" select="ancestor::ROOT/GENERAL/@NOIMAGE"/>
			<table width="100%" cellpadding="2" cellspacing="0">
				<tr>
					<td class="h3b" width="100%">
						<xsl:value-of select="@Name"/>
					</td>
				</tr>
			</table>
			<br/>
			<xsl:for-each select="Assembly">
				<xsl:variable name="TID" select="@ID"/>
				<a name="{$TID}"/>
				<table width="100%" cellpadding="2" cellspacing="0">
					<tr>
						<td class="h4b" width="95%">
							<xsl:value-of select="@Name"/>
						</td>
						<td width="5%" valign="top" align="right">
							<a href="#table{$TID}" class="h7">Top</a>
						</td>
					</tr>
				</table>
				<table width="100%" cellpadding="2" cellspacing="0" class="tb">
					<tr>
						<td class="ch" width="20%" valign="top">Name: </td>
						<td class="cd" width="80%" valign="top">
							<xsl:value-of select="@Name"/>&#160;
						</td>
					</tr>
					<xsl:for-each select="Properties">
						<xsl:for-each select="Property">
							<xsl:variable name="tpe" select="@Type"/>
							<tr>
								<td class="ch" width="20%" valign="top">
									<xsl:value-of select="@Caption"/>
								</td>
								<td class="cd">
									<xsl:choose>
										<xsl:when test="@Type = 'Boolean'">
											<xsl:choose>
												<xsl:when test="@Value = 'Y'">
													<img src="{$yi}" alt="Yes"></img>
												</xsl:when>
												<xsl:when test="@Value != 'Y'">
													<img src="{$ni}" alt="No"></img>
												</xsl:when>
											</xsl:choose>
										</xsl:when>
										<xsl:when test="@Type != 'Boolean'">
											<xsl:value-of select="@Value"/>&#160;
										</xsl:when>
									</xsl:choose>
								</td>
							</tr>
						</xsl:for-each>
					</xsl:for-each>
					<xsl:if test="User_Comments">
						<xsl:for-each select="User_Comments">
							<xsl:variable name="Caption" select="@Name"/>
							<xsl:for-each select="DOD">
								<xsl:variable name="Desc" select="@D"/>
								<xsl:if test="$Desc != ''">
									<tr>
										<td class="ch" width="20%" valign="top">
											<xsl:value-of select="$Caption"/>
										</td>
										<td class="cd" width="80%" valign="top">
											<xsl:value-of select="$Desc"/>
										</td>
									</tr>
								</xsl:if>
							</xsl:for-each>
						</xsl:for-each>
					</xsl:if>
				</table>
				<!-- Assembly Files -->
				<xsl:for-each select="AssemblyFiles">
					<xsl:if test="@Count > 0">
						<br/>
						<table width="100%" cellpadding="2" cellspacing="0">
							<tr>
								<td class="h5b" width="95%">
									<xsl:value-of select="@Name"/>
								</td>
								<td width="5%" valign="top" align="right">
									<a href="#table{$TID}" class="h7">Top</a>
								</td>
							</tr>
						</table>
						<table width="100%" cellpadding="2" cellspacing="0" class="tb">
							<tr>
								<td class="ch">Name</td>
								<xsl:for-each select="AssemblyFile">
									<xsl:if test="position() = 1">
										<xsl:for-each select="Properties">
											<xsl:if test="position() = 1">
												<xsl:for-each select="Property">
													<xsl:if test="@IncludeInBasicDisplay='Y'">
														<td class="ch" align="center">
															<xsl:value-of select="@Caption"/>
														</td>
													</xsl:if>
												</xsl:for-each>
											</xsl:if>
										</xsl:for-each>
									</xsl:if>
								</xsl:for-each>
							</tr>
							<xsl:for-each select="AssemblyFile">
								<xsl:variable name="CID" select="@ID"/>
								<xsl:variable name="NME" select="@Name"/>
								<tr>
									<td class="cd">
										<xsl:value-of select="@Name"/>
									</td>
									<xsl:for-each select="Properties">
										<xsl:for-each select="Property">
											<xsl:if test="@IncludeInBasicDisplay='Y'">
												<xsl:if test="@Type = 'Boolean'">
													<xsl:choose>
														<xsl:when test="@Value = 'Y'">
															<td class="cd" align="center">
																<img src="{$yi}" alt="Yes"></img>
															</td>
														</xsl:when>
														<xsl:when test="@Value != 'Y'">
															<td class="cd" align="center">
																<img src="{$ni}" alt="No"></img>
															</td>
														</xsl:when>
													</xsl:choose>
												</xsl:if>
												<xsl:if test="@Type != 'Boolean'">
													<td class="cd">
														<xsl:value-of select="@Value"/>&#160;
													</td>
												</xsl:if>
											</xsl:if>
										</xsl:for-each>
									</xsl:for-each>
								</tr>
							</xsl:for-each>
						</table>
					</xsl:if>
				</xsl:for-each>
				<!-- Assembly Modules -->
				<xsl:for-each select="AssemblyModules">
					<xsl:if test="@Count > 0">
						<br/>
						<table width="100%" cellpadding="2" cellspacing="0">
							<tr>
								<td class="h5b" width="95%">
									<xsl:value-of select="@Name"/>
								</td>
								<td width="5%" valign="top" align="right">
									<a href="#table{$TID}" class="h7">Top</a>
								</td>
							</tr>
						</table>
						<table width="100%" cellpadding="2" cellspacing="0" class="tb">
							<tr>
								<xsl:for-each select="AssemblyModule">
									<xsl:if test="position() = 1">
										<xsl:for-each select="Properties">
											<xsl:if test="position() = 1">
												<xsl:for-each select="Property">
													<xsl:if test="@IncludeInBasicDisplay='Y'">
														<td class="ch" align="center">
															<xsl:value-of select="@Caption"/>
														</td>
													</xsl:if>
												</xsl:for-each>
											</xsl:if>
										</xsl:for-each>
									</xsl:if>
								</xsl:for-each>
							</tr>
							<xsl:for-each select="AssemblyFiles">
								<tr>
									<xsl:for-each select="Properties">
										<xsl:for-each select="Property">
											<xsl:if test="@IncludeInBasicDisplay='Y'">
												<xsl:if test="@Type = 'Boolean'">
													<xsl:choose>
														<xsl:when test="@Value = 'Y'">
															<td class="cd" align="center">
																<img src="{$yi}" alt="Yes"></img>
															</td>
														</xsl:when>
														<xsl:when test="@Value != 'Y'">
															<td class="cd" align="center">
																<img src="{$ni}" alt="No"></img>
															</td>
														</xsl:when>
													</xsl:choose>
												</xsl:if>
												<xsl:if test="@Type != 'Boolean'">
													<td class="cd">
														<xsl:value-of select="@Value"/>&#160;
													</td>
												</xsl:if>
											</xsl:if>
										</xsl:for-each>
									</xsl:for-each>
								</tr>
							</xsl:for-each>
						</table>
					</xsl:if>
				</xsl:for-each>
				<!-- Referenced Assemblies -->
				<xsl:for-each select="ReferencedAssemblies">
					<xsl:if test="@Count > 0">
						<br/>
						<table width="100%" cellpadding="2" cellspacing="0">
							<tr>
								<td class="h5b" width="95%">
									<xsl:value-of select="@Name"/>
								</td>
								<td width="5%" valign="top" align="right">
									<a href="#table{$TID}" class="h7">Top</a>
								</td>
							</tr>
						</table>
						<table width="100%" cellpadding="2" cellspacing="0" class="tb">
							<tr>
								<td class="ch">Name</td>
								<xsl:for-each select="Assembly">
									<xsl:if test="position() = 1">
										<xsl:for-each select="Properties">
											<xsl:if test="position() = 1">
												<xsl:for-each select="Property">
													<xsl:if test="@IncludeInBasicDisplay='Y'">
														<td class="ch" align="center">
															<xsl:value-of select="@Caption"/>
														</td>
													</xsl:if>
												</xsl:for-each>
											</xsl:if>
										</xsl:for-each>
									</xsl:if>
								</xsl:for-each>
							</tr>
							<xsl:for-each select="Assembly">
								<xsl:variable name="CID" select="@ID"/>
								<xsl:variable name="NME" select="@Name"/>
								<tr>
									<td class="cd">
										<xsl:value-of select="@Name"/>
									</td>
									<xsl:for-each select="Properties">
										<xsl:for-each select="Property">
											<xsl:if test="@IncludeInBasicDisplay='Y'">
												<xsl:if test="@Type = 'Boolean'">
													<xsl:choose>
														<xsl:when test="@Value = 'Y'">
															<td class="cd" align="center">
																<img src="{$yi}" alt="Yes"></img>
															</td>
														</xsl:when>
														<xsl:when test="@Value != 'Y'">
															<td class="cd" align="center">
																<img src="{$ni}" alt="No"></img>
															</td>
														</xsl:when>
													</xsl:choose>
												</xsl:if>
												<xsl:if test="@Type != 'Boolean'">
													<td class="cd">
														<xsl:value-of select="@Value"/>&#160;
													</td>
												</xsl:if>
											</xsl:if>
										</xsl:for-each>
									</xsl:for-each>
								</tr>
							</xsl:for-each>
						</table>
					</xsl:if>
				</xsl:for-each>
				<p></p>
			</xsl:for-each>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>